import{S as $c,i as Pc,s as qc,e as s,k as c,w as v,t as r,M as Ic,c as a,d as t,m as d,a as i,x as b,h as n,b as l,N as xc,G as e,g as h,y as F,q as y,o as O,B as w,v as jc,L as Gi}from"../../chunks/vendor-hf-doc-builder.js";import{T as Tc}from"../../chunks/Tip-hf-doc-builder.js";import{D as $}from"../../chunks/Docstring-hf-doc-builder.js";import{C as Xi}from"../../chunks/CodeBlock-hf-doc-builder.js";import{I as Ue}from"../../chunks/IconCopyLink-hf-doc-builder.js";import{E as Ji}from"../../chunks/ExampleCodeBlock-hf-doc-builder.js";function Ec(N){let f,x,_,g,k;return g=new Xi({props:{code:`from transformers import OneFormerConfig, OneFormerModel

# Initializing a OneFormer shi-labs/oneformer_ade20k_swin_tiny configuration
configuration = OneFormerConfig()
# Initializing a model (with random weights) from the shi-labs/oneformer_ade20k_swin_tiny style configuration
model = OneFormerModel(configuration)
# Accessing the model configuration
configuration = model.config`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> OneFormerConfig, OneFormerModel

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Initializing a OneFormer shi-labs/oneformer_ade20k_swin_tiny configuration</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>configuration = OneFormerConfig()
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Initializing a model (with random weights) from the shi-labs/oneformer_ade20k_swin_tiny style configuration</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>model = OneFormerModel(configuration)
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Accessing the model configuration</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>configuration = model.config`}}),{c(){f=s("p"),x=r("Examples:"),_=c(),v(g.$$.fragment)},l(m){f=a(m,"P",{});var u=i(f);x=n(u,"Examples:"),u.forEach(t),_=d(m),b(g.$$.fragment,m)},m(m,u){h(m,f,u),e(f,x),h(m,_,u),F(g,m,u),k=!0},p:Gi,i(m){k||(y(g.$$.fragment,m),k=!0)},o(m){O(g.$$.fragment,m),k=!1},d(m){m&&t(f),m&&t(_),w(g,m)}}}function zc(N){let f,x,_,g,k;return{c(){f=s("p"),x=r("Although the recipe for forward pass needs to be defined within this function, one should call the "),_=s("code"),g=r("Module"),k=r(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(m){f=a(m,"P",{});var u=i(f);x=n(u,"Although the recipe for forward pass needs to be defined within this function, one should call the "),_=a(u,"CODE",{});var A=i(_);g=n(A,"Module"),A.forEach(t),k=n(u,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),u.forEach(t)},m(m,u){h(m,f,u),e(f,x),e(f,_),e(_,g),e(f,k)},d(m){m&&t(f)}}}function Cc(N){let f,x,_,g,k;return g=new Xi({props:{code:`import torch
from PIL import Image
import requests
from transformers import OneFormerProcessor, OneFormerModel

# download texting image
url = "http://images.cocodataset.org/val2017/000000039769.jpg"
image = Image.open(requests.get(url, stream=True).raw)

# load processor for preprocessing the inputs
processor = OneFormerProcessor.from_pretrained("shi-labs/oneformer_ade20k_swin_tiny")
model = OneFormerModel.from_pretrained("shi-labs/oneformer_ade20k_swin_tiny")
inputs = processor(image, ["semantic"], return_tensors="pt")

with torch.no_grad():
    outputs = model(**inputs)

mask_predictions = outputs.transformer_decoder_mask_predictions
class_predictions = outputs.transformer_decoder_class_predictions

f"\u{1F449} Mask Predictions Shape: {list(mask_predictions.shape)}, Class Predictions Shape: {list(class_predictions.shape)}"`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> PIL <span class="hljs-keyword">import</span> Image
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> requests
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> OneFormerProcessor, OneFormerModel

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># download texting image</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>url = <span class="hljs-string">&quot;http://images.cocodataset.org/val2017/000000039769.jpg&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>image = Image.<span class="hljs-built_in">open</span>(requests.get(url, stream=<span class="hljs-literal">True</span>).raw)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># load processor for preprocessing the inputs</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>processor = OneFormerProcessor.from_pretrained(<span class="hljs-string">&quot;shi-labs/oneformer_ade20k_swin_tiny&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = OneFormerModel.from_pretrained(<span class="hljs-string">&quot;shi-labs/oneformer_ade20k_swin_tiny&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = processor(image, [<span class="hljs-string">&quot;semantic&quot;</span>], return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">with</span> torch.no_grad():
<span class="hljs-meta">... </span>    outputs = model(**inputs)

<span class="hljs-meta">&gt;&gt;&gt; </span>mask_predictions = outputs.transformer_decoder_mask_predictions
<span class="hljs-meta">&gt;&gt;&gt; </span>class_predictions = outputs.transformer_decoder_class_predictions

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-string">f&quot;\u{1F449} Mask Predictions Shape: <span class="hljs-subst">{<span class="hljs-built_in">list</span>(mask_predictions.shape)}</span>, Class Predictions Shape: <span class="hljs-subst">{<span class="hljs-built_in">list</span>(class_predictions.shape)}</span>&quot;</span>
<span class="hljs-string">&#x27;\u{1F449} Mask Predictions Shape: [1, 150, 128, 171], Class Predictions Shape: [1, 150, 151]&#x27;</span>`}}),{c(){f=s("p"),x=r("Example:"),_=c(),v(g.$$.fragment)},l(m){f=a(m,"P",{});var u=i(f);x=n(u,"Example:"),u.forEach(t),_=d(m),b(g.$$.fragment,m)},m(m,u){h(m,f,u),e(f,x),h(m,_,u),F(g,m,u),k=!0},p:Gi,i(m){k||(y(g.$$.fragment,m),k=!0)},o(m){O(g.$$.fragment,m),k=!1},d(m){m&&t(f),m&&t(_),w(g,m)}}}function Sc(N){let f,x,_,g,k;return{c(){f=s("p"),x=r("Although the recipe for forward pass needs to be defined within this function, one should call the "),_=s("code"),g=r("Module"),k=r(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(m){f=a(m,"P",{});var u=i(f);x=n(u,"Although the recipe for forward pass needs to be defined within this function, one should call the "),_=a(u,"CODE",{});var A=i(_);g=n(A,"Module"),A.forEach(t),k=n(u,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),u.forEach(t)},m(m,u){h(m,f,u),e(f,x),e(f,_),e(_,g),e(f,k)},d(m){m&&t(f)}}}function Nc(N){let f,x,_,g,k;return g=new Xi({props:{code:`from transformers import OneFormerProcessor, OneFormerForUniversalSegmentation
from PIL import Image
import requests
import torch

# load OneFormer fine-tuned on ADE20k for universal segmentation
processor = OneFormerProcessor.from_pretrained("shi-labs/oneformer_ade20k_swin_tiny")
model = OneFormerForUniversalSegmentation.from_pretrained("shi-labs/oneformer_ade20k_swin_tiny")

url = (
    "https://huggingface.co/datasets/hf-internal-testing/fixtures_ade20k/resolve/main/ADE_val_00000001.jpg"
)
image = Image.open(requests.get(url, stream=True).raw)

# Semantic Segmentation
inputs = processor(image, ["semantic"], return_tensors="pt")

with torch.no_grad():
    outputs = model(**inputs)
# model predicts class_queries_logits of shape \`(batch_size, num_queries)\`
# and masks_queries_logits of shape \`(batch_size, num_queries, height, width)\`
class_queries_logits = outputs.class_queries_logits
masks_queries_logits = outputs.masks_queries_logits

# you can pass them to processor for semantic postprocessing
predicted_semantic_map = processor.post_process_semantic_segmentation(
    outputs, target_sizes=[image.size[::-1]]
)[0]
f"\u{1F449} Semantic Predictions Shape: {list(predicted_semantic_map.shape)}"

# Instance Segmentation
inputs = processor(image, ["instance"], return_tensors="pt")

with torch.no_grad():
    outputs = model(**inputs)
# model predicts class_queries_logits of shape \`(batch_size, num_queries)\`
# and masks_queries_logits of shape \`(batch_size, num_queries, height, width)\`
class_queries_logits = outputs.class_queries_logits
masks_queries_logits = outputs.masks_queries_logits

# you can pass them to processor for instance postprocessing
predicted_instance_map = processor.post_process_instance_segmentation(
    outputs, target_sizes=[image.size[::-1]]
)[0]["segmentation"]
f"\u{1F449} Instance Predictions Shape: {list(predicted_instance_map.shape)}"

# Panoptic Segmentation
inputs = processor(image, ["panoptic"], return_tensors="pt")

with torch.no_grad():
    outputs = model(**inputs)
# model predicts class_queries_logits of shape \`(batch_size, num_queries)\`
# and masks_queries_logits of shape \`(batch_size, num_queries, height, width)\`
class_queries_logits = outputs.class_queries_logits
masks_queries_logits = outputs.masks_queries_logits

# you can pass them to processor for panoptic postprocessing
predicted_panoptic_map = processor.post_process_panoptic_segmentation(
    outputs, target_sizes=[image.size[::-1]]
)[0]["segmentation"]
f"\u{1F449} Panoptic Predictions Shape: {list(predicted_panoptic_map.shape)}"`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> OneFormerProcessor, OneFormerForUniversalSegmentation
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> PIL <span class="hljs-keyword">import</span> Image
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> requests
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># load OneFormer fine-tuned on ADE20k for universal segmentation</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>processor = OneFormerProcessor.from_pretrained(<span class="hljs-string">&quot;shi-labs/oneformer_ade20k_swin_tiny&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = OneFormerForUniversalSegmentation.from_pretrained(<span class="hljs-string">&quot;shi-labs/oneformer_ade20k_swin_tiny&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>url = (
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;https://huggingface.co/datasets/hf-internal-testing/fixtures_ade20k/resolve/main/ADE_val_00000001.jpg&quot;</span>
<span class="hljs-meta">... </span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>image = Image.<span class="hljs-built_in">open</span>(requests.get(url, stream=<span class="hljs-literal">True</span>).raw)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Semantic Segmentation</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = processor(image, [<span class="hljs-string">&quot;semantic&quot;</span>], return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">with</span> torch.no_grad():
<span class="hljs-meta">... </span>    outputs = model(**inputs)
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># model predicts class_queries_logits of shape \`(batch_size, num_queries)\`</span>
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># and masks_queries_logits of shape \`(batch_size, num_queries, height, width)\`</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>class_queries_logits = outputs.class_queries_logits
<span class="hljs-meta">&gt;&gt;&gt; </span>masks_queries_logits = outputs.masks_queries_logits

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># you can pass them to processor for semantic postprocessing</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>predicted_semantic_map = processor.post_process_semantic_segmentation(
<span class="hljs-meta">... </span>    outputs, target_sizes=[image.size[::-<span class="hljs-number">1</span>]]
<span class="hljs-meta">... </span>)[<span class="hljs-number">0</span>]
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-string">f&quot;\u{1F449} Semantic Predictions Shape: <span class="hljs-subst">{<span class="hljs-built_in">list</span>(predicted_semantic_map.shape)}</span>&quot;</span>
<span class="hljs-string">&#x27;\u{1F449} Semantic Predictions Shape: [512, 683]&#x27;</span>

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Instance Segmentation</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = processor(image, [<span class="hljs-string">&quot;instance&quot;</span>], return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">with</span> torch.no_grad():
<span class="hljs-meta">... </span>    outputs = model(**inputs)
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># model predicts class_queries_logits of shape \`(batch_size, num_queries)\`</span>
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># and masks_queries_logits of shape \`(batch_size, num_queries, height, width)\`</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>class_queries_logits = outputs.class_queries_logits
<span class="hljs-meta">&gt;&gt;&gt; </span>masks_queries_logits = outputs.masks_queries_logits

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># you can pass them to processor for instance postprocessing</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>predicted_instance_map = processor.post_process_instance_segmentation(
<span class="hljs-meta">... </span>    outputs, target_sizes=[image.size[::-<span class="hljs-number">1</span>]]
<span class="hljs-meta">... </span>)[<span class="hljs-number">0</span>][<span class="hljs-string">&quot;segmentation&quot;</span>]
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-string">f&quot;\u{1F449} Instance Predictions Shape: <span class="hljs-subst">{<span class="hljs-built_in">list</span>(predicted_instance_map.shape)}</span>&quot;</span>
<span class="hljs-string">&#x27;\u{1F449} Instance Predictions Shape: [512, 683]&#x27;</span>

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Panoptic Segmentation</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = processor(image, [<span class="hljs-string">&quot;panoptic&quot;</span>], return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">with</span> torch.no_grad():
<span class="hljs-meta">... </span>    outputs = model(**inputs)
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># model predicts class_queries_logits of shape \`(batch_size, num_queries)\`</span>
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># and masks_queries_logits of shape \`(batch_size, num_queries, height, width)\`</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>class_queries_logits = outputs.class_queries_logits
<span class="hljs-meta">&gt;&gt;&gt; </span>masks_queries_logits = outputs.masks_queries_logits

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># you can pass them to processor for panoptic postprocessing</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>predicted_panoptic_map = processor.post_process_panoptic_segmentation(
<span class="hljs-meta">... </span>    outputs, target_sizes=[image.size[::-<span class="hljs-number">1</span>]]
<span class="hljs-meta">... </span>)[<span class="hljs-number">0</span>][<span class="hljs-string">&quot;segmentation&quot;</span>]
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-string">f&quot;\u{1F449} Panoptic Predictions Shape: <span class="hljs-subst">{<span class="hljs-built_in">list</span>(predicted_panoptic_map.shape)}</span>&quot;</span>
<span class="hljs-string">&#x27;\u{1F449} Panoptic Predictions Shape: [512, 683]&#x27;</span>`}}),{c(){f=s("p"),x=r("Universal segmentation example:"),_=c(),v(g.$$.fragment)},l(m){f=a(m,"P",{});var u=i(f);x=n(u,"Universal segmentation example:"),u.forEach(t),_=d(m),b(g.$$.fragment,m)},m(m,u){h(m,f,u),e(f,x),h(m,_,u),F(g,m,u),k=!0},p:Gi,i(m){k||(y(g.$$.fragment,m),k=!0)},o(m){O(g.$$.fragment,m),k=!1},d(m){m&&t(f),m&&t(_),w(g,m)}}}function Lc(N){let f,x,_,g,k,m,u,A,pn,mr,oe,fe,Tt,Re,hn,$t,fn,pr,ge,gn,We,un,_n,hr,He,Zi,fr,Uo,vn,gr,Ro,Pt,bn,ur,Wo,Fn,_r,E,te,yn,qt,On,wn,It,kn,xn,Tn,jt,$n,Pn,C,qn,Et,In,jn,zt,En,zn,Ct,Cn,Sn,Ve,Nn,Ln,Mn,S,Dn,Ho,An,Un,St,Rn,Wn,Vo,Hn,Vn,Bo,Bn,Jn,Gn,I,Xn,Jo,Zn,Kn,Go,Qn,Yn,Xo,es,os,Zo,ts,rs,Nt,ns,ss,vr,ue,as,Be,is,ls,br,Je,Ki,Fr,G,cs,Ge,ds,ms,Xe,ps,hs,yr,re,_e,Lt,Ze,fs,Mt,gs,Or,ne,Ke,us,Qe,_s,Ko,vs,bs,wr,U,Ye,Fs,eo,ys,Dt,Os,ws,ks,R,xs,Qo,Ts,$s,Yo,Ps,qs,et,Is,js,kr,se,ve,At,oo,Es,Ut,zs,xr,j,to,Cs,W,Ss,ot,Ns,Ls,ro,Ms,Ds,no,As,Us,Rs,ae,Ws,tt,Hs,Vs,rt,Bs,Js,Gs,be,Xs,Fe,so,Zs,ie,Ks,nt,Qs,Ys,Rt,ea,oa,Tr,le,ye,Wt,ao,ta,Ht,ra,$r,T,io,na,Vt,sa,aa,lo,ia,Bt,la,ca,da,st,co,ma,X,mo,pa,po,ha,Jt,fa,ga,ua,H,_a,Gt,va,ba,Xt,Fa,ya,Zt,Oa,wa,ka,Oe,ho,xa,fo,Ta,at,$a,Pa,qa,we,go,Ia,uo,ja,Kt,Ea,za,Ca,ke,_o,Sa,vo,Na,Qt,La,Ma,Pr,ce,xe,Yt,bo,Da,er,Aa,qr,P,Fo,Ua,V,Ra,it,Wa,Ha,lt,Va,Ba,ct,Ja,Ga,Xa,Te,yo,Za,Oo,Ka,dt,Qa,Ya,ei,$e,wo,oi,ko,ti,mt,ri,ni,si,Pe,xo,ai,To,ii,pt,li,ci,di,qe,$o,mi,Po,pi,ht,hi,fi,Ir,de,Ie,or,qo,gi,tr,ui,jr,B,Io,_i,jo,vi,Eo,bi,Fi,yi,L,zo,Oi,me,wi,ft,ki,xi,rr,Ti,$i,Pi,je,qi,Ee,Er,pe,ze,nr,Co,Ii,sr,ji,zr,J,So,Ei,No,zi,Lo,Ci,Si,Ni,z,Mo,Li,he,Mi,gt,Di,Ai,ar,Ui,Ri,Wi,Ce,Hi,ir,Vi,Bi,Se,Cr;return m=new Ue({}),Re=new Ue({}),Ze=new Ue({}),Ke=new $({props:{name:"class transformers.models.oneformer.modeling_oneformer.OneFormerModelOutput",anchor:"transformers.models.oneformer.modeling_oneformer.OneFormerModelOutput",parameters:[{name:"encoder_hidden_states",val:": typing.Optional[typing.Tuple[torch.FloatTensor]] = None"},{name:"pixel_decoder_hidden_states",val:": typing.Optional[typing.Tuple[torch.FloatTensor]] = None"},{name:"transformer_decoder_hidden_states",val:": typing.Optional[torch.FloatTensor] = None"},{name:"transformer_decoder_object_queries",val:": FloatTensor = None"},{name:"transformer_decoder_contrastive_queries",val:": typing.Optional[torch.FloatTensor] = None"},{name:"transformer_decoder_mask_predictions",val:": FloatTensor = None"},{name:"transformer_decoder_class_predictions",val:": FloatTensor = None"},{name:"transformer_decoder_auxiliary_predictions",val:": typing.Union[typing.Tuple[typing.Dict[str, torch.FloatTensor]], NoneType] = None"},{name:"text_queries",val:": typing.Optional[torch.FloatTensor] = None"},{name:"task_token",val:": FloatTensor = None"},{name:"attentions",val:": typing.Optional[typing.Tuple[torch.FloatTensor]] = None"}],parametersDescription:[{anchor:"transformers.models.oneformer.modeling_oneformer.OneFormerModelOutput.encoder_hidden_states",description:`<strong>encoder_hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) &#x2014;
Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings + one for the output of each stage) of
shape <code>(batch_size, num_channels, height, width)</code>. Hidden-states (also called feature maps) of the encoder
model at the output of each stage.`,name:"encoder_hidden_states"},{anchor:"transformers.models.oneformer.modeling_oneformer.OneFormerModelOutput.pixel_decoder_hidden_states",description:`<strong>pixel_decoder_hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) &#x2014;
Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings + one for the output of each stage) of
shape <code>(batch_size, num_channels, height, width)</code>. Hidden-states (also called feature maps) of the pixel
decoder model at the output of each stage.`,name:"pixel_decoder_hidden_states"},{anchor:"transformers.models.oneformer.modeling_oneformer.OneFormerModelOutput.transformer_decoder_hidden_states",description:`<strong>transformer_decoder_hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) &#x2014;
Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings + one for the output of each stage) of
shape <code>(batch_size, sequence_length, hidden_size)</code>. Hidden-states (also called feature maps) of the
transformer decoder at the output of each stage.`,name:"transformer_decoder_hidden_states"},{anchor:"transformers.models.oneformer.modeling_oneformer.OneFormerModelOutput.transformer_decoder_object_queries",description:`<strong>transformer_decoder_object_queries</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, num_queries, hidden_dim)</code>) &#x2014;
Output object queries from the last layer in the transformer decoder.`,name:"transformer_decoder_object_queries"},{anchor:"transformers.models.oneformer.modeling_oneformer.OneFormerModelOutput.transformer_decoder_contrastive_queries",description:`<strong>transformer_decoder_contrastive_queries</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, num_queries, hidden_dim)</code>) &#x2014;
Contrastive queries from the transformer decoder.`,name:"transformer_decoder_contrastive_queries"},{anchor:"transformers.models.oneformer.modeling_oneformer.OneFormerModelOutput.transformer_decoder_mask_predictions",description:`<strong>transformer_decoder_mask_predictions</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, num_queries, height, width)</code>) &#x2014;
Mask Predictions from the last layer in the transformer decoder.`,name:"transformer_decoder_mask_predictions"},{anchor:"transformers.models.oneformer.modeling_oneformer.OneFormerModelOutput.transformer_decoder_class_predictions",description:`<strong>transformer_decoder_class_predictions</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, num_queries, num_classes+1)</code>) &#x2014;
Class Predictions from the last layer in the transformer decoder.`,name:"transformer_decoder_class_predictions"},{anchor:"transformers.models.oneformer.modeling_oneformer.OneFormerModelOutput.transformer_decoder_auxiliary_predictions",description:`<strong>transformer_decoder_auxiliary_predictions</strong> (Tuple of Dict of <code>str, torch.FloatTensor</code>, <em>optional</em>) &#x2014;
Tuple of class and mask predictions from each layer of the transformer decoder.`,name:"transformer_decoder_auxiliary_predictions"},{anchor:"transformers.models.oneformer.modeling_oneformer.OneFormerModelOutput.text_queries",description:`<strong>text_queries</strong> (<code>torch.FloatTensor</code>, <em>optional</em> of shape <code>(batch_size, num_queries, hidden_dim)</code>) &#x2014;
Text queries derived from the input text list used for calculating contrastive loss during training.`,name:"text_queries"},{anchor:"transformers.models.oneformer.modeling_oneformer.OneFormerModelOutput.task_token",description:`<strong>task_token</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, hidden_dim)</code>) &#x2014;
1D task token to condition the queries.`,name:"task_token"},{anchor:"transformers.models.oneformer.modeling_oneformer.OneFormerModelOutput.attentions",description:`<strong>attentions</strong> (<code>tuple(tuple(torch.FloatTensor))</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) &#x2014;
Tuple of <code>tuple(torch.FloatTensor)</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>. Self and Cross Attentions weights from transformer decoder.`,name:"attentions"}],source:"https://github.com/huggingface/transformers/blob/v4.26.1/src/transformers/models/oneformer/modeling_oneformer.py#L804"}}),Ye=new $({props:{name:"class transformers.models.oneformer.modeling_oneformer.OneFormerForUniversalSegmentationOutput",anchor:"transformers.models.oneformer.modeling_oneformer.OneFormerForUniversalSegmentationOutput",parameters:[{name:"loss",val:": typing.Optional[torch.FloatTensor] = None"},{name:"class_queries_logits",val:": FloatTensor = None"},{name:"masks_queries_logits",val:": FloatTensor = None"},{name:"auxiliary_predictions",val:": typing.List[typing.Dict[str, torch.FloatTensor]] = None"},{name:"encoder_hidden_states",val:": typing.Optional[typing.Tuple[torch.FloatTensor]] = None"},{name:"pixel_decoder_hidden_states",val:": typing.Optional[typing.List[torch.FloatTensor]] = None"},{name:"transformer_decoder_hidden_states",val:": typing.Optional[torch.FloatTensor] = None"},{name:"transformer_decoder_object_queries",val:": FloatTensor = None"},{name:"transformer_decoder_contrastive_queries",val:": typing.Optional[torch.FloatTensor] = None"},{name:"transformer_decoder_mask_predictions",val:": FloatTensor = None"},{name:"transformer_decoder_class_predictions",val:": FloatTensor = None"},{name:"transformer_decoder_auxiliary_predictions",val:": typing.Union[typing.List[typing.Dict[str, torch.FloatTensor]], NoneType] = None"},{name:"text_queries",val:": typing.Optional[torch.FloatTensor] = None"},{name:"task_token",val:": FloatTensor = None"},{name:"attentions",val:": typing.Optional[typing.Tuple[typing.Tuple[torch.FloatTensor]]] = None"}],parametersDescription:[{anchor:"transformers.models.oneformer.modeling_oneformer.OneFormerForUniversalSegmentationOutput.loss",description:`<strong>loss</strong> (<code>torch.Tensor</code>, <em>optional</em>) &#x2014;
The computed loss, returned when labels are present.`,name:"loss"},{anchor:"transformers.models.oneformer.modeling_oneformer.OneFormerForUniversalSegmentationOutput.class_queries_logits",description:`<strong>class_queries_logits</strong> (<code>torch.FloatTensor</code>) &#x2014;
A tensor of shape <code>(batch_size, num_queries, num_labels + 1)</code> representing the proposed classes for each
query. Note the <code>+ 1</code> is needed because we incorporate the null class.`,name:"class_queries_logits"},{anchor:"transformers.models.oneformer.modeling_oneformer.OneFormerForUniversalSegmentationOutput.masks_queries_logits",description:`<strong>masks_queries_logits</strong> (<code>torch.FloatTensor</code>) &#x2014;
A tensor of shape <code>(batch_size, num_queries, height, width)</code> representing the proposed masks for each
query.`,name:"masks_queries_logits"},{anchor:"transformers.models.oneformer.modeling_oneformer.OneFormerForUniversalSegmentationOutput.auxiliary_predictions",description:`<strong>auxiliary_predictions</strong> (List of Dict of <code>str, torch.FloatTensor</code>, <em>optional</em>) &#x2014;
List of class and mask predictions from each layer of the transformer decoder.`,name:"auxiliary_predictions"},{anchor:"transformers.models.oneformer.modeling_oneformer.OneFormerForUniversalSegmentationOutput.encoder_hidden_states",description:`<strong>encoder_hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) &#x2014;
Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings + one for the output of each stage) of
shape <code>(batch_size, num_channels, height, width)</code>. Hidden-states (also called feature maps) of the encoder
model at the output of each stage.`,name:"encoder_hidden_states"},{anchor:"transformers.models.oneformer.modeling_oneformer.OneFormerForUniversalSegmentationOutput.pixel_decoder_hidden_states",description:`<strong>pixel_decoder_hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) &#x2014;
Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings + one for the output of each stage) of
shape <code>(batch_size, num_channels, height, width)</code>. Hidden-states (also called feature maps) of the pixel
decoder model at the output of each stage.`,name:"pixel_decoder_hidden_states"},{anchor:"transformers.models.oneformer.modeling_oneformer.OneFormerForUniversalSegmentationOutput.transformer_decoder_hidden_states",description:`<strong>transformer_decoder_hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) &#x2014;
Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings + one for the output of each stage) of
shape <code>(batch_size, sequence_length, hidden_size)</code>. Hidden-states (also called feature maps) of the
transformer decoder at the output of each stage.`,name:"transformer_decoder_hidden_states"},{anchor:"transformers.models.oneformer.modeling_oneformer.OneFormerForUniversalSegmentationOutput.transformer_decoder_object_queries",description:`<strong>transformer_decoder_object_queries</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, num_queries, hidden_dim)</code>) &#x2014;
Output object queries from the last layer in the transformer decoder.`,name:"transformer_decoder_object_queries"},{anchor:"transformers.models.oneformer.modeling_oneformer.OneFormerForUniversalSegmentationOutput.transformer_decoder_contrastive_queries",description:`<strong>transformer_decoder_contrastive_queries</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, num_queries, hidden_dim)</code>) &#x2014;
Contrastive queries from the transformer decoder.`,name:"transformer_decoder_contrastive_queries"},{anchor:"transformers.models.oneformer.modeling_oneformer.OneFormerForUniversalSegmentationOutput.transformer_decoder_mask_predictions",description:`<strong>transformer_decoder_mask_predictions</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, num_queries, height, width)</code>) &#x2014;
Mask Predictions from the last layer in the transformer decoder.`,name:"transformer_decoder_mask_predictions"},{anchor:"transformers.models.oneformer.modeling_oneformer.OneFormerForUniversalSegmentationOutput.transformer_decoder_class_predictions",description:`<strong>transformer_decoder_class_predictions</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, num_queries, num_classes+1)</code>) &#x2014;
Class Predictions from the last layer in the transformer decoder.`,name:"transformer_decoder_class_predictions"},{anchor:"transformers.models.oneformer.modeling_oneformer.OneFormerForUniversalSegmentationOutput.transformer_decoder_auxiliary_predictions",description:`<strong>transformer_decoder_auxiliary_predictions</strong> (List of Dict of <code>str, torch.FloatTensor</code>, <em>optional</em>) &#x2014;
List of class and mask predictions from each layer of the transformer decoder.`,name:"transformer_decoder_auxiliary_predictions"},{anchor:"transformers.models.oneformer.modeling_oneformer.OneFormerForUniversalSegmentationOutput.text_queries",description:`<strong>text_queries</strong> (<code>torch.FloatTensor</code>, <em>optional</em> of shape <code>(batch_size, num_queries, hidden_dim)</code>) &#x2014;
Text queries derived from the input text list used for calculating contrastive loss during training.`,name:"text_queries"},{anchor:"transformers.models.oneformer.modeling_oneformer.OneFormerForUniversalSegmentationOutput.task_token",description:`<strong>task_token</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, hidden_dim)</code>) &#x2014;
1D task token to condition the queries.`,name:"task_token"},{anchor:"transformers.models.oneformer.modeling_oneformer.OneFormerForUniversalSegmentationOutput.attentions",description:`<strong>attentions</strong> (<code>tuple(tuple(torch.FloatTensor))</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) &#x2014;
Tuple of <code>tuple(torch.FloatTensor)</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>. Self and Cross Attentions weights from transformer decoder.`,name:"attentions"}],source:"https://github.com/huggingface/transformers/blob/v4.26.1/src/transformers/models/oneformer/modeling_oneformer.py#L854"}}),oo=new Ue({}),to=new $({props:{name:"class transformers.OneFormerConfig",anchor:"transformers.OneFormerConfig",parameters:[{name:"backbone_config",val:": typing.Optional[typing.Dict] = None"},{name:"ignore_value",val:": int = 255"},{name:"num_queries",val:": int = 150"},{name:"no_object_weight",val:": int = 0.1"},{name:"class_weight",val:": float = 2.0"},{name:"mask_weight",val:": float = 5.0"},{name:"dice_weight",val:": float = 5.0"},{name:"contrastive_weight",val:": float = 0.5"},{name:"contrastive_temperature",val:": float = 0.07"},{name:"train_num_points",val:": int = 12544"},{name:"oversample_ratio",val:": float = 3.0"},{name:"importance_sample_ratio",val:": float = 0.75"},{name:"init_std",val:": float = 0.02"},{name:"init_xavier_std",val:": float = 1.0"},{name:"layer_norm_eps",val:": float = 1e-05"},{name:"is_training",val:": bool = False"},{name:"use_auxiliary_loss",val:": bool = True"},{name:"output_auxiliary_logits",val:": bool = True"},{name:"strides",val:": typing.Optional[list] = [4, 8, 16, 32]"},{name:"task_seq_len",val:": int = 77"},{name:"max_seq_len",val:": int = 77"},{name:"text_encoder_width",val:": int = 256"},{name:"text_encoder_context_length",val:": int = 77"},{name:"text_encoder_num_layers",val:": int = 6"},{name:"text_encoder_vocab_size",val:": int = 49408"},{name:"text_encoder_proj_layers",val:": int = 2"},{name:"text_encoder_n_ctx",val:": int = 16"},{name:"conv_dim",val:": int = 256"},{name:"mask_dim",val:": int = 256"},{name:"hidden_dim",val:": int = 256"},{name:"encoder_feedforward_dim",val:": int = 1024"},{name:"norm",val:": str = 'GN'"},{name:"encoder_layers",val:": int = 6"},{name:"decoder_layers",val:": int = 10"},{name:"use_task_norm",val:": bool = True"},{name:"num_attention_heads",val:": int = 8"},{name:"dropout",val:": float = 0.1"},{name:"dim_feedforward",val:": int = 2048"},{name:"pre_norm",val:": bool = False"},{name:"enforce_input_proj",val:": bool = False"},{name:"query_dec_layers",val:": int = 2"},{name:"common_stride",val:": int = 4"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.OneFormerConfig.backbone_config",description:`<strong>backbone_config</strong> (<code>PretrainedConfig</code>, <em>optional</em>, defaults to <code>SwinConfig</code>) &#x2014;
The configuration of the backbone model.`,name:"backbone_config"},{anchor:"transformers.OneFormerConfig.ignore_value",description:`<strong>ignore_value</strong> (<code>int</code>, <em>optional</em>, defaults to 255) &#x2014;
Values to be ignored in GT label while calculating loss.`,name:"ignore_value"},{anchor:"transformers.OneFormerConfig.num_queries",description:`<strong>num_queries</strong> (<code>int</code>, <em>optional</em>, defaults to 150) &#x2014;
Number of object queries.`,name:"num_queries"},{anchor:"transformers.OneFormerConfig.no_object_weight",description:`<strong>no_object_weight</strong> (<code>float</code>, <em>optional</em>, defaults to 0.1) &#x2014;
Weight for no-object class predictions.`,name:"no_object_weight"},{anchor:"transformers.OneFormerConfig.class_weight",description:`<strong>class_weight</strong> (<code>float</code>, <em>optional</em>, defaults to 2.0) &#x2014;
Weight for Classification CE loss.`,name:"class_weight"},{anchor:"transformers.OneFormerConfig.mask_weight",description:`<strong>mask_weight</strong> (<code>float</code>, <em>optional</em>, defaults to 5.0) &#x2014;
Weight for binary CE loss.`,name:"mask_weight"},{anchor:"transformers.OneFormerConfig.dice_weight",description:`<strong>dice_weight</strong> (<code>float</code>, <em>optional</em>, defaults to 5.0) &#x2014;
Weight for dice loss.`,name:"dice_weight"},{anchor:"transformers.OneFormerConfig.contrastive_weight",description:`<strong>contrastive_weight</strong> (<code>float</code>, <em>optional</em>, defaults to 0.5) &#x2014;
Weight for contrastive loss.`,name:"contrastive_weight"},{anchor:"transformers.OneFormerConfig.contrastive_temperature",description:`<strong>contrastive_temperature</strong> (<code>float</code>, <em>optional</em>, defaults to 0.07) &#x2014;
Initial value for scaling the contrastive logits.`,name:"contrastive_temperature"},{anchor:"transformers.OneFormerConfig.train_num_points",description:`<strong>train_num_points</strong> (<code>int</code>, <em>optional</em>, defaults to 12544) &#x2014;
Number of points to sample while calculating losses on mask predictions.`,name:"train_num_points"},{anchor:"transformers.OneFormerConfig.oversample_ratio",description:`<strong>oversample_ratio</strong> (<code>float</code>, <em>optional</em>, defaults to 3.0) &#x2014;
Ratio to decide how many points to oversample.`,name:"oversample_ratio"},{anchor:"transformers.OneFormerConfig.importance_sample_ratio",description:`<strong>importance_sample_ratio</strong> (<code>float</code>, <em>optional</em>, defaults to 0.75) &#x2014;
Ratio of points that are sampled via importance sampling.`,name:"importance_sample_ratio"},{anchor:"transformers.OneFormerConfig.init_std",description:`<strong>init_std</strong> (<code>float</code>, <em>optional</em>, defaults to 0.02) &#x2014;
Standard deviation for normal intialization.`,name:"init_std"},{anchor:"transformers.OneFormerConfig.init_xavier_std",description:`<strong>init_xavier_std</strong> (<code>float</code>, <em>optional</em>, defaults to 0.02) &#x2014;
Standard deviation for xavier uniform initialization.`,name:"init_xavier_std"},{anchor:"transformers.OneFormerConfig.layer_norm_eps",description:`<strong>layer_norm_eps</strong> (<code>float</code>, <em>optional</em>, defaults to 1e-05) &#x2014;
Epsilon for layer normalization.`,name:"layer_norm_eps"},{anchor:"transformers.OneFormerConfig.is_training",description:`<strong>is_training</strong> (<code>bool</code>, <em>optional</em>, defaults to False) &#x2014;
Whether to run in training or inference mode.`,name:"is_training"},{anchor:"transformers.OneFormerConfig.use_auxiliary_loss",description:`<strong>use_auxiliary_loss</strong> (<code>bool</code>, <em>optional</em>, defaults to True) &#x2014;
Whether to calculate loss using intermediate predictions from transformer decoder.`,name:"use_auxiliary_loss"},{anchor:"transformers.OneFormerConfig.output_auxiliary_logits",description:`<strong>output_auxiliary_logits</strong> (<code>bool</code>, <em>optional</em>, defaults to True) &#x2014;
Whether to return intermediate predictions from transformer decoder.`,name:"output_auxiliary_logits"},{anchor:"transformers.OneFormerConfig.strides",description:`<strong>strides</strong> (<code>list</code>, <em>optional</em>, defaults to [4, 8, 16, 32]) &#x2014;
List containing the strides for feature maps in the encoder.`,name:"strides"},{anchor:"transformers.OneFormerConfig.task_seq_len",description:`<strong>task_seq_len</strong> (<code>int</code>, <em>optional</em>, defaults to 77) &#x2014;
Sequence length for tokenizing text list input.`,name:"task_seq_len"},{anchor:"transformers.OneFormerConfig.max_seq_len",description:`<strong>max_seq_len</strong> (<code>int</code>, <em>optional</em>, defaults to 77) &#x2014;
Sequence length for tokenizing task input.`,name:"max_seq_len"},{anchor:"transformers.OneFormerConfig.text_encoder_width",description:`<strong>text_encoder_width</strong> (<code>int</code>, <em>optional</em>, defaults to 256) &#x2014;
Hidden size for text encoder.`,name:"text_encoder_width"},{anchor:"transformers.OneFormerConfig.text_encoder_context_length",description:`<strong>text_encoder_context_length</strong> (<code>int</code>, <em>optional</em>, defaults to 77) &#x2014;
Input sequence length for text encoder.`,name:"text_encoder_context_length"},{anchor:"transformers.OneFormerConfig.text_encoder_num_layers",description:`<strong>text_encoder_num_layers</strong> (<code>int</code>, <em>optional</em>, defaults to 6) &#x2014;
Number of layers for transformer in text encoder.`,name:"text_encoder_num_layers"},{anchor:"transformers.OneFormerConfig.text_encoder_vocab_size",description:`<strong>text_encoder_vocab_size</strong> (<code>int</code>, <em>optional</em>, defaults to 49408) &#x2014;
Vocabulary size for tokenizer.`,name:"text_encoder_vocab_size"},{anchor:"transformers.OneFormerConfig.text_encoder_proj_layers",description:`<strong>text_encoder_proj_layers</strong> (<code>int</code>, <em>optional</em>, defaults to 2) &#x2014;
Number of layers in MLP for project text queries.`,name:"text_encoder_proj_layers"},{anchor:"transformers.OneFormerConfig.text_encoder_n_ctx",description:`<strong>text_encoder_n_ctx</strong> (<code>int</code>, <em>optional</em>, defaults to 16) &#x2014;
Number of learnable text context queries.`,name:"text_encoder_n_ctx"},{anchor:"transformers.OneFormerConfig.conv_dim",description:`<strong>conv_dim</strong> (<code>int</code>, <em>optional</em>, defaults to 256) &#x2014;
Feature map dimension to map outputs from the backbone.`,name:"conv_dim"},{anchor:"transformers.OneFormerConfig.mask_dim",description:`<strong>mask_dim</strong> (<code>int</code>, <em>optional</em>, defaults to 256) &#x2014;
Dimension for feature maps in pixel decoder.`,name:"mask_dim"},{anchor:"transformers.OneFormerConfig.hidden_dim",description:`<strong>hidden_dim</strong> (<code>int</code>, <em>optional</em>, defaults to 256) &#x2014;
Dimension for hidden states in transformer decoder.`,name:"hidden_dim"},{anchor:"transformers.OneFormerConfig.encoder_feedforward_dim",description:`<strong>encoder_feedforward_dim</strong> (<code>int</code>, <em>optional</em>, defaults to 1024) &#x2014;
Dimension for FFN layer in pixel decoder.`,name:"encoder_feedforward_dim"},{anchor:"transformers.OneFormerConfig.norm",description:`<strong>norm</strong> (<code>str</code>, <em>optional</em>, defaults to <code>GN</code>) &#x2014;
Type of normalization.`,name:"norm"},{anchor:"transformers.OneFormerConfig.encoder_layers",description:`<strong>encoder_layers</strong> (<code>int</code>, <em>optional</em>, defaults to 6) &#x2014;
Number of layers in pixel decoder.`,name:"encoder_layers"},{anchor:"transformers.OneFormerConfig.decoder_layers",description:`<strong>decoder_layers</strong> (<code>int</code>, <em>optional</em>, defaults to 10) &#x2014;
Number of layers in transformer decoder.`,name:"decoder_layers"},{anchor:"transformers.OneFormerConfig.use_task_norm",description:`<strong>use_task_norm</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether to normalize the task token.`,name:"use_task_norm"},{anchor:"transformers.OneFormerConfig.num_attention_heads",description:`<strong>num_attention_heads</strong> (<code>int</code>, <em>optional</em>, defaults to 8) &#x2014;
Number of attention heads in transformer layers in the pixel and transformer decoders.`,name:"num_attention_heads"},{anchor:"transformers.OneFormerConfig.dropout",description:`<strong>dropout</strong> (<code>float</code>, <em>optional</em>, defaults to 0.1) &#x2014;
Dropout probability for pixel and transformer decoders.`,name:"dropout"},{anchor:"transformers.OneFormerConfig.dim_feedforward",description:`<strong>dim_feedforward</strong> (<code>int</code>, <em>optional</em>, defaults to 2048) &#x2014;
Dimension for FFN layer in transformer decoder.`,name:"dim_feedforward"},{anchor:"transformers.OneFormerConfig.pre_norm",description:`<strong>pre_norm</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether to normalize hidden states before attention layers in transformer decoder.`,name:"pre_norm"},{anchor:"transformers.OneFormerConfig.enforce_input_proj",description:`<strong>enforce_input_proj</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether to project hidden states in transformer decoder.`,name:"enforce_input_proj"},{anchor:"transformers.OneFormerConfig.query_dec_layers",description:`<strong>query_dec_layers</strong> (<code>int</code>, <em>optional</em>, defaults to 2) &#x2014;
Number of layers in query transformer.`,name:"query_dec_layers"},{anchor:"transformers.OneFormerConfig.common_stride",description:`<strong>common_stride</strong> (<code>int</code>, <em>optional</em>, defaults to 4) &#x2014;
Common stride used for features in pixel decoder.`,name:"common_stride"}],source:"https://github.com/huggingface/transformers/blob/v4.26.1/src/transformers/models/oneformer/configuration_oneformer.py#L34"}}),be=new Ji({props:{anchor:"transformers.OneFormerConfig.example",$$slots:{default:[Ec]},$$scope:{ctx:N}}}),so=new $({props:{name:"to_dict",anchor:"transformers.OneFormerConfig.to_dict",parameters:[],source:"https://github.com/huggingface/transformers/blob/v4.26.1/src/transformers/models/oneformer/configuration_oneformer.py#L258"}}),ao=new Ue({}),io=new $({props:{name:"class transformers.OneFormerImageProcessor",anchor:"transformers.OneFormerImageProcessor",parameters:[{name:"do_resize",val:": bool = True"},{name:"size",val:": typing.Dict[str, int] = None"},{name:"resample",val:": Resampling = <Resampling.BILINEAR: 2>"},{name:"do_rescale",val:": bool = True"},{name:"rescale_factor",val:": float = 0.00392156862745098"},{name:"do_normalize",val:": bool = True"},{name:"image_mean",val:": typing.Union[float, typing.List[float]] = None"},{name:"image_std",val:": typing.Union[float, typing.List[float]] = None"},{name:"ignore_index",val:": typing.Optional[int] = None"},{name:"do_reduce_labels",val:": bool = False"},{name:"repo_path",val:": str = 'shi-labs/oneformer_demo'"},{name:"class_info_file",val:": str = None"},{name:"num_text",val:": typing.Optional[int] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.OneFormerImageProcessor.do_resize",description:`<strong>do_resize</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether to resize the input to a certain <code>size</code>.`,name:"do_resize"},{anchor:"transformers.OneFormerImageProcessor.size",description:`<strong>size</strong> (<code>int</code>, <em>optional</em>, defaults to 800) &#x2014;
Resize the input to the given size. Only has an effect if <code>do_resize</code> is set to <code>True</code>. If size is a
sequence like <code>(width, height)</code>, output size will be matched to this. If size is an int, smaller edge of
the image will be matched to this number. i.e, if <code>height &gt; width</code>, then image will be rescaled to <code>(size * height / width, size)</code>.`,name:"size"},{anchor:"transformers.OneFormerImageProcessor.max_size",description:`<strong>max_size</strong> (<code>int</code>, <em>optional</em>, defaults to 1333) &#x2014;
The largest size an image dimension can have (otherwise it&#x2019;s capped). Only has an effect if <code>do_resize</code> is
set to <code>True</code>.`,name:"max_size"},{anchor:"transformers.OneFormerImageProcessor.resample",description:`<strong>resample</strong> (<code>int</code>, <em>optional</em>, defaults to <code>PIL.Image.Resampling.BILINEAR</code>) &#x2014;
An optional resampling filter. This can be one of <code>PIL.Image.Resampling.NEAREST</code>,
<code>PIL.Image.Resampling.BOX</code>, <code>PIL.Image.Resampling.BILINEAR</code>, <code>PIL.Image.Resampling.HAMMING</code>,
<code>PIL.Image.Resampling.BICUBIC</code> or <code>PIL.Image.Resampling.LANCZOS</code>. Only has an effect if <code>do_resize</code> is set
to <code>True</code>.`,name:"resample"},{anchor:"transformers.OneFormerImageProcessor.do_rescale",description:`<strong>do_rescale</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether to rescale the input to a certain <code>scale</code>.`,name:"do_rescale"},{anchor:"transformers.OneFormerImageProcessor.rescale_factor",description:`<strong>rescale_factor</strong> (<code>float</code>, <em>optional</em>, defaults to 1/ 255) &#x2014;
Rescale the input by the given factor. Only has an effect if <code>do_rescale</code> is set to <code>True</code>.`,name:"rescale_factor"},{anchor:"transformers.OneFormerImageProcessor.do_normalize",description:`<strong>do_normalize</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether or not to normalize the input with mean and standard deviation.`,name:"do_normalize"},{anchor:"transformers.OneFormerImageProcessor.image_mean",description:`<strong>image_mean</strong> (<code>int</code>, <em>optional</em>, defaults to <code>[0.485, 0.456, 0.406]</code>) &#x2014;
The sequence of means for each channel, to be used when normalizing images. Defaults to the ImageNet mean.`,name:"image_mean"},{anchor:"transformers.OneFormerImageProcessor.image_std",description:`<strong>image_std</strong> (<code>int</code>, <em>optional</em>, defaults to <code>[0.229, 0.224, 0.225]</code>) &#x2014;
The sequence of standard deviations for each channel, to be used when normalizing images. Defaults to the
ImageNet std.`,name:"image_std"},{anchor:"transformers.OneFormerImageProcessor.ignore_index",description:`<strong>ignore_index</strong> (<code>int</code>, <em>optional</em>) &#x2014;
Label to be assigned to background pixels in segmentation maps. If provided, segmentation map pixels
denoted with 0 (background) will be replaced with <code>ignore_index</code>.`,name:"ignore_index"},{anchor:"transformers.OneFormerImageProcessor.do_reduce_labels",description:`<strong>do_reduce_labels</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not to decrement all label values of segmentation maps by 1. Usually used for datasets where 0
is used for background, and background itself is not included in all classes of a dataset (e.g. ADE20k).
The background label will be replaced by <code>ignore_index</code>.`,name:"do_reduce_labels"},{anchor:"transformers.OneFormerImageProcessor.repo_path",description:`<strong>repo_path</strong> (<code>str</code>, defaults to <code>shi-labs/oneformer_demo</code>) &#x2014;
Dataset repository on huggingface hub containing the JSON file with class information for the dataset.`,name:"repo_path"},{anchor:"transformers.OneFormerImageProcessor.class_info_file",description:`<strong>class_info_file</strong> (<code>str</code>) &#x2014;
JSON file containing class information for the dataset. It is stored inside on the <code>repo_path</code> dataset
repository.`,name:"class_info_file"},{anchor:"transformers.OneFormerImageProcessor.num_text",description:`<strong>num_text</strong> (<code>int</code>, <em>optional</em>) &#x2014;
Number of text entries in the text input list.`,name:"num_text"}],source:"https://github.com/huggingface/transformers/blob/v4.26.1/src/transformers/models/oneformer/image_processing_oneformer.py#L338"}}),co=new $({props:{name:"preprocess",anchor:"transformers.OneFormerImageProcessor.preprocess",parameters:[{name:"images",val:": typing.Union[ForwardRef('PIL.Image.Image'), numpy.ndarray, ForwardRef('torch.Tensor'), typing.List[ForwardRef('PIL.Image.Image')], typing.List[numpy.ndarray], typing.List[ForwardRef('torch.Tensor')]]"},{name:"task_inputs",val:": typing.List[str]"},{name:"segmentation_maps",val:": typing.Union[ForwardRef('PIL.Image.Image'), numpy.ndarray, ForwardRef('torch.Tensor'), typing.List[ForwardRef('PIL.Image.Image')], typing.List[numpy.ndarray], typing.List[ForwardRef('torch.Tensor')], NoneType] = None"},{name:"instance_id_to_semantic_id",val:": typing.Union[typing.Dict[int, int], NoneType] = None"},{name:"do_resize",val:": typing.Optional[bool] = None"},{name:"size",val:": typing.Union[typing.Dict[str, int], NoneType] = None"},{name:"resample",val:": Resampling = None"},{name:"do_rescale",val:": typing.Optional[bool] = None"},{name:"rescale_factor",val:": typing.Optional[float] = None"},{name:"do_normalize",val:": typing.Optional[bool] = None"},{name:"image_mean",val:": typing.Union[float, typing.List[float], NoneType] = None"},{name:"image_std",val:": typing.Union[float, typing.List[float], NoneType] = None"},{name:"ignore_index",val:": typing.Optional[int] = None"},{name:"do_reduce_labels",val:": typing.Optional[bool] = None"},{name:"return_tensors",val:": typing.Union[transformers.utils.generic.TensorType, str, NoneType] = None"},{name:"data_format",val:": typing.Union[str, transformers.image_utils.ChannelDimension] = <ChannelDimension.FIRST: 'channels_first'>"},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/transformers/blob/v4.26.1/src/transformers/models/oneformer/image_processing_oneformer.py#L604"}}),mo=new $({props:{name:"encode_inputs",anchor:"transformers.OneFormerImageProcessor.encode_inputs",parameters:[{name:"pixel_values_list",val:": typing.List[typing.Union[ForwardRef('PIL.Image.Image'), numpy.ndarray, ForwardRef('torch.Tensor'), typing.List[ForwardRef('PIL.Image.Image')], typing.List[numpy.ndarray], typing.List[ForwardRef('torch.Tensor')]]]"},{name:"task_inputs",val:": typing.List[str]"},{name:"segmentation_maps",val:": typing.Union[ForwardRef('PIL.Image.Image'), numpy.ndarray, ForwardRef('torch.Tensor'), typing.List[ForwardRef('PIL.Image.Image')], typing.List[numpy.ndarray], typing.List[ForwardRef('torch.Tensor')]] = None"},{name:"instance_id_to_semantic_id",val:": typing.Union[typing.List[typing.Dict[int, int]], typing.Dict[int, int], NoneType] = None"},{name:"ignore_index",val:": typing.Optional[int] = None"},{name:"reduce_labels",val:": bool = False"},{name:"return_tensors",val:": typing.Union[transformers.utils.generic.TensorType, str, NoneType] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.OneFormerImageProcessor.encode_inputs.pixel_values_list",description:`<strong>pixel_values_list</strong> (<code>List[ImageInput]</code>) &#x2014;
List of images (pixel values) to be padded. Each image should be a tensor of shape <code>(channels, height, width)</code>.`,name:"pixel_values_list"},{anchor:"transformers.OneFormerImageProcessor.encode_inputs.task_inputs",description:`<strong>task_inputs</strong> (<code>List[str]</code>) &#x2014;
List of task values.`,name:"task_inputs"},{anchor:"transformers.OneFormerImageProcessor.encode_inputs.segmentation_maps",description:`<strong>segmentation_maps</strong> (<code>ImageInput</code>, <em>optional</em>) &#x2014;
The corresponding semantic segmentation maps with the pixel-wise annotations.</p>
<p>(<code>bool</code>, <em>optional</em>, defaults to <code>True</code>):
Whether or not to pad images up to the largest image in a batch and create a pixel mask.</p>
<p>If left to the default, will return a pixel mask that is:</p>
<ul>
<li>1 for pixels that are real (i.e. <strong>not masked</strong>),</li>
<li>0 for pixels that are padding (i.e. <strong>masked</strong>).</li>
</ul>`,name:"segmentation_maps"},{anchor:"transformers.OneFormerImageProcessor.encode_inputs.instance_id_to_semantic_id",description:`<strong>instance_id_to_semantic_id</strong> (<code>List[Dict[int, int]]</code> or <code>Dict[int, int]</code>, <em>optional</em>) &#x2014;
A mapping between object instance ids and class ids. If passed, <code>segmentation_maps</code> is treated as an
instance segmentation map where each pixel represents an instance id. Can be provided as a single
dictionary with a global/dataset-level mapping or as a list of dictionaries (one per image), to map
instance ids in each image separately.`,name:"instance_id_to_semantic_id"},{anchor:"transformers.OneFormerImageProcessor.encode_inputs.return_tensors",description:`<strong>return_tensors</strong> (<code>str</code> or <a href="/docs/transformers/v4.26.1/en/internal/file_utils#transformers.TensorType">TensorType</a>, <em>optional</em>) &#x2014;
If set, will return tensors instead of NumPy arrays. If set to <code>&apos;pt&apos;</code>, return PyTorch <code>torch.Tensor</code>
objects.`,name:"return_tensors"}],source:"https://github.com/huggingface/transformers/blob/v4.26.1/src/transformers/models/oneformer/image_processing_oneformer.py#L871",returnDescription:`
<p>A <a
  href="/docs/transformers/v4.26.1/en/main_classes/feature_extractor#transformers.BatchFeature"
>BatchFeature</a> with the following fields:</p>
<ul>
<li><strong>pixel_values</strong> \u2014 Pixel values to be fed to a model.</li>
<li><strong>pixel_mask</strong> \u2014 Pixel mask to be fed to a model (when <code>=True</code> or if <code>pixel_mask</code> is in
<code>self.model_input_names</code>).</li>
<li><strong>mask_labels</strong> \u2014 Optional list of mask labels of shape <code>(labels, height, width)</code> to be fed to a model
(when <code>annotations</code> are provided).</li>
<li><strong>class_labels</strong> \u2014 Optional list of class labels of shape <code>(labels)</code> to be fed to a model (when
<code>annotations</code> are provided). They identify the labels of <code>mask_labels</code>, e.g. the label of
<code>mask_labels[i][j]</code> if <code>class_labels[i][j]</code>.</li>
<li><strong>text_inputs</strong> \u2014 Optional list of text string entries to be fed to a model (when <code>annotations</code> are
provided). They identify the binary masks present in the image.</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/v4.26.1/en/main_classes/feature_extractor#transformers.BatchFeature"
>BatchFeature</a></p>
`}}),ho=new $({props:{name:"post_process_semantic_segmentation",anchor:"transformers.OneFormerImageProcessor.post_process_semantic_segmentation",parameters:[{name:"outputs",val:""},{name:"target_sizes",val:": typing.Union[typing.List[typing.Tuple[int, int]], NoneType] = None"}],parametersDescription:[{anchor:"transformers.OneFormerImageProcessor.post_process_semantic_segmentation.outputs",description:`<strong>outputs</strong> (<a href="/docs/transformers/v4.26.1/en/model_doc/maskformer#transformers.MaskFormerForInstanceSegmentation">MaskFormerForInstanceSegmentation</a>) &#x2014;
Raw outputs of the model.`,name:"outputs"},{anchor:"transformers.OneFormerImageProcessor.post_process_semantic_segmentation.target_sizes",description:`<strong>target_sizes</strong> (<code>List[Tuple[int, int]]</code>, <em>optional</em>) &#x2014;
List of length (batch_size), where each list item (<code>Tuple[int, int]]</code>) corresponds to the requested
final size (height, width) of each prediction. If left to None, predictions will not be resized.`,name:"target_sizes"}],source:"https://github.com/huggingface/transformers/blob/v4.26.1/src/transformers/models/oneformer/image_processing_oneformer.py#L996",returnDescription:`
<p>A list of length <code>batch_size</code>, where each item is a semantic segmentation map of shape (height, width)
corresponding to the target_sizes entry (if <code>target_sizes</code> is specified). Each entry of each
<code>torch.Tensor</code> correspond to a semantic class id.</p>
`,returnType:`
<p><code>List[torch.Tensor]</code></p>
`}}),go=new $({props:{name:"post_process_instance_segmentation",anchor:"transformers.OneFormerImageProcessor.post_process_instance_segmentation",parameters:[{name:"outputs",val:""},{name:"task_type",val:": str = 'instance'"},{name:"is_demo",val:": bool = True"},{name:"threshold",val:": float = 0.5"},{name:"mask_threshold",val:": float = 0.5"},{name:"overlap_mask_area_threshold",val:": float = 0.8"},{name:"target_sizes",val:": typing.Union[typing.List[typing.Tuple[int, int]], NoneType] = None"},{name:"return_coco_annotation",val:": typing.Optional[bool] = False"}],parametersDescription:[{anchor:"transformers.OneFormerImageProcessor.post_process_instance_segmentation.outputs",description:`<strong>outputs</strong> (<code>OneFormerForUniversalSegmentationOutput</code>) &#x2014;
The outputs from <code>OneFormerForUniversalSegmentationOutput</code>.`,name:"outputs"},{anchor:"transformers.OneFormerImageProcessor.post_process_instance_segmentation.task_type",description:`<strong>task_type</strong> (<code>str</code>, <em>optional)</em>, defaults to &#x201C;instance&#x201D;) &#x2014;
The post processing depends on the task token input. If the <code>task_type</code> is &#x201C;panoptic&#x201D;, we need to
ignore the stuff predictions.`,name:"task_type"},{anchor:"transformers.OneFormerImageProcessor.post_process_instance_segmentation.is_demo",description:`<strong>is_demo</strong> (<code>bool</code>, <em>optional)</em>, defaults to <code>True</code>) &#x2014;
Whether the model is in demo mode. If true, use threshold to predict final masks.`,name:"is_demo"},{anchor:"transformers.OneFormerImageProcessor.post_process_instance_segmentation.threshold",description:`<strong>threshold</strong> (<code>float</code>, <em>optional</em>, defaults to 0.5) &#x2014;
The probability score threshold to keep predicted instance masks.`,name:"threshold"},{anchor:"transformers.OneFormerImageProcessor.post_process_instance_segmentation.mask_threshold",description:`<strong>mask_threshold</strong> (<code>float</code>, <em>optional</em>, defaults to 0.5) &#x2014;
Threshold to use when turning the predicted masks into binary values.`,name:"mask_threshold"},{anchor:"transformers.OneFormerImageProcessor.post_process_instance_segmentation.overlap_mask_area_threshold",description:`<strong>overlap_mask_area_threshold</strong> (<code>float</code>, <em>optional</em>, defaults to 0.8) &#x2014;
The overlap mask area threshold to merge or discard small disconnected parts within each binary
instance mask.`,name:"overlap_mask_area_threshold"},{anchor:"transformers.OneFormerImageProcessor.post_process_instance_segmentation.target_sizes",description:`<strong>target_sizes</strong> (<code>List[Tuple]</code>, <em>optional</em>) &#x2014;
List of length (batch_size), where each list item (<code>Tuple[int, int]]</code>) corresponds to the requested
final size (height, width) of each prediction in batch. If left to None, predictions will not be
resized.`,name:"target_sizes"},{anchor:"transformers.OneFormerImageProcessor.post_process_instance_segmentation.return_coco_annotation",description:`<strong>return_coco_annotation</strong> (<code>bool</code>, <em>optional)</em>, defaults to <code>False</code>) &#x2014;
Whether to return predictions in COCO format.`,name:"return_coco_annotation"}],source:"https://github.com/huggingface/transformers/blob/v4.26.1/src/transformers/models/oneformer/image_processing_oneformer.py#L1046",returnDescription:`
<p>A list of dictionaries, one per image, each dictionary containing two keys:</p>
<ul>
<li><strong>segmentation</strong> \u2014 a tensor of shape <code>(height, width)</code> where each pixel represents a <code>segment_id</code>, set
to <code>None</code> if no mask if found above <code>threshold</code>. If <code>target_sizes</code> is specified, segmentation is resized
to the corresponding <code>target_sizes</code> entry.</li>
<li><strong>segments_info</strong> \u2014 A dictionary that contains additional information on each segment.<ul>
<li><strong>id</strong> \u2014 an integer representing the <code>segment_id</code>.</li>
<li><strong>label_id</strong> \u2014 An integer representing the label / semantic class id corresponding to <code>segment_id</code>.</li>
<li><strong>was_fused</strong> \u2014 a boolean, <code>True</code> if <code>label_id</code> was in <code>label_ids_to_fuse</code>, <code>False</code> otherwise.
Multiple instances of the same class / label were fused and assigned a single <code>segment_id</code>.</li>
<li><strong>score</strong> \u2014 Prediction score of segment with <code>segment_id</code>.</li>
</ul></li>
</ul>
`,returnType:`
<p><code>List[Dict]</code></p>
`}}),_o=new $({props:{name:"post_process_panoptic_segmentation",anchor:"transformers.OneFormerImageProcessor.post_process_panoptic_segmentation",parameters:[{name:"outputs",val:""},{name:"threshold",val:": float = 0.5"},{name:"mask_threshold",val:": float = 0.5"},{name:"overlap_mask_area_threshold",val:": float = 0.8"},{name:"label_ids_to_fuse",val:": typing.Optional[typing.Set[int]] = None"},{name:"target_sizes",val:": typing.Union[typing.List[typing.Tuple[int, int]], NoneType] = None"}],parametersDescription:[{anchor:"transformers.OneFormerImageProcessor.post_process_panoptic_segmentation.outputs",description:`<strong>outputs</strong> (<code>MaskFormerForInstanceSegmentationOutput</code>) &#x2014;
The outputs from <a href="/docs/transformers/v4.26.1/en/model_doc/maskformer#transformers.MaskFormerForInstanceSegmentation">MaskFormerForInstanceSegmentation</a>.`,name:"outputs"},{anchor:"transformers.OneFormerImageProcessor.post_process_panoptic_segmentation.threshold",description:`<strong>threshold</strong> (<code>float</code>, <em>optional</em>, defaults to 0.5) &#x2014;
The probability score threshold to keep predicted instance masks.`,name:"threshold"},{anchor:"transformers.OneFormerImageProcessor.post_process_panoptic_segmentation.mask_threshold",description:`<strong>mask_threshold</strong> (<code>float</code>, <em>optional</em>, defaults to 0.5) &#x2014;
Threshold to use when turning the predicted masks into binary values.`,name:"mask_threshold"},{anchor:"transformers.OneFormerImageProcessor.post_process_panoptic_segmentation.overlap_mask_area_threshold",description:`<strong>overlap_mask_area_threshold</strong> (<code>float</code>, <em>optional</em>, defaults to 0.8) &#x2014;
The overlap mask area threshold to merge or discard small disconnected parts within each binary
instance mask.`,name:"overlap_mask_area_threshold"},{anchor:"transformers.OneFormerImageProcessor.post_process_panoptic_segmentation.label_ids_to_fuse",description:`<strong>label_ids_to_fuse</strong> (<code>Set[int]</code>, <em>optional</em>) &#x2014;
The labels in this state will have all their instances be fused together. For instance we could say
there can only be one sky in an image, but several persons, so the label ID for sky would be in that
set, but not the one for person.`,name:"label_ids_to_fuse"},{anchor:"transformers.OneFormerImageProcessor.post_process_panoptic_segmentation.target_sizes",description:`<strong>target_sizes</strong> (<code>List[Tuple]</code>, <em>optional</em>) &#x2014;
List of length (batch_size), where each list item (<code>Tuple[int, int]]</code>) corresponds to the requested
final size (height, width) of each prediction in batch. If left to None, predictions will not be
resized.`,name:"target_sizes"}],source:"https://github.com/huggingface/transformers/blob/v4.26.1/src/transformers/models/oneformer/image_processing_oneformer.py#L1165",returnDescription:`
<p>A list of dictionaries, one per image, each dictionary containing two keys:</p>
<ul>
<li><strong>segmentation</strong> \u2014 a tensor of shape <code>(height, width)</code> where each pixel represents a <code>segment_id</code>, set
to <code>None</code> if no mask if found above <code>threshold</code>. If <code>target_sizes</code> is specified, segmentation is resized
to the corresponding <code>target_sizes</code> entry.</li>
<li><strong>segments_info</strong> \u2014 A dictionary that contains additional information on each segment.<ul>
<li><strong>id</strong> \u2014 an integer representing the <code>segment_id</code>.</li>
<li><strong>label_id</strong> \u2014 An integer representing the label / semantic class id corresponding to <code>segment_id</code>.</li>
<li><strong>was_fused</strong> \u2014 a boolean, <code>True</code> if <code>label_id</code> was in <code>label_ids_to_fuse</code>, <code>False</code> otherwise.
Multiple instances of the same class / label were fused and assigned a single <code>segment_id</code>.</li>
<li><strong>score</strong> \u2014 Prediction score of segment with <code>segment_id</code>.</li>
</ul></li>
</ul>
`,returnType:`
<p><code>List[Dict]</code></p>
`}}),bo=new Ue({}),Fo=new $({props:{name:"class transformers.OneFormerProcessor",anchor:"transformers.OneFormerProcessor",parameters:[{name:"image_processor",val:" = None"},{name:"tokenizer",val:" = None"},{name:"max_seq_length",val:": int = 77"},{name:"task_seq_length",val:": int = 77"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.OneFormerProcessor.image_processor",description:`<strong>image_processor</strong> (<a href="/docs/transformers/v4.26.1/en/model_doc/oneformer#transformers.OneFormerImageProcessor">OneFormerImageProcessor</a>) &#x2014;
The image processor is a required input.`,name:"image_processor"},{anchor:"transformers.OneFormerProcessor.tokenizer",description:`<strong>tokenizer</strong> ([<code>CLIPTokenizer</code>, <code>CLIPTokenizerFast</code>]) &#x2014;
The tokenizer is a required input.`,name:"tokenizer"},{anchor:"transformers.OneFormerProcessor.max_seq_len",description:`<strong>max_seq_len</strong> (<code>int</code>, <em>optional</em>, defaults to 77)) &#x2014;
Sequence length for input text list.`,name:"max_seq_len"},{anchor:"transformers.OneFormerProcessor.task_seq_len",description:`<strong>task_seq_len</strong> (<code>int</code>, <em>optional</em>, defaults to 77) &#x2014;
Sequence length for input task token.`,name:"task_seq_len"}],source:"https://github.com/huggingface/transformers/blob/v4.26.1/src/transformers/models/oneformer/processing_oneformer.py#L30"}}),yo=new $({props:{name:"encode_inputs",anchor:"transformers.OneFormerProcessor.encode_inputs",parameters:[{name:"images",val:" = None"},{name:"task_inputs",val:" = None"},{name:"segmentation_maps",val:" = None"},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/transformers/blob/v4.26.1/src/transformers/models/oneformer/processing_oneformer.py#L146"}}),wo=new $({props:{name:"post_process_instance_segmentation",anchor:"transformers.OneFormerProcessor.post_process_instance_segmentation",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/transformers/blob/v4.26.1/src/transformers/models/oneformer/processing_oneformer.py#L193"}}),xo=new $({props:{name:"post_process_panoptic_segmentation",anchor:"transformers.OneFormerProcessor.post_process_panoptic_segmentation",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/transformers/blob/v4.26.1/src/transformers/models/oneformer/processing_oneformer.py#L200"}}),$o=new $({props:{name:"post_process_semantic_segmentation",anchor:"transformers.OneFormerProcessor.post_process_semantic_segmentation",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/transformers/blob/v4.26.1/src/transformers/models/oneformer/processing_oneformer.py#L186"}}),qo=new Ue({}),Io=new $({props:{name:"class transformers.OneFormerModel",anchor:"transformers.OneFormerModel",parameters:[{name:"config",val:": OneFormerConfig"}],parametersDescription:[{anchor:"transformers.OneFormerModel.config",description:`<strong>config</strong> (<a href="/docs/transformers/v4.26.1/en/model_doc/oneformer#transformers.OneFormerConfig">OneFormerConfig</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/v4.26.1/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/v4.26.1/src/transformers/models/oneformer/modeling_oneformer.py#L2863"}}),zo=new $({props:{name:"forward",anchor:"transformers.OneFormerModel.forward",parameters:[{name:"pixel_values",val:": Tensor"},{name:"task_inputs",val:": Tensor"},{name:"text_inputs",val:": typing.Optional[torch.Tensor] = None"},{name:"pixel_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.OneFormerModel.forward.pixel_values",description:`<strong>pixel_values</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, num_channels, height, width)</code>) &#x2014;
Pixel values. Pixel values can be obtained using <a href="/docs/transformers/v4.26.1/en/model_doc/oneformer#transformers.OneFormerProcessor">OneFormerProcessor</a>. See
<code>OneFormerProcessor.__call__()</code> for details.`,name:"pixel_values"},{anchor:"transformers.OneFormerModel.forward.task_inputs",description:`<strong>task_inputs</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Task inputs. Task inputs can be obtained using <a href="/docs/transformers/v4.26.1/en/model_doc/auto#transformers.AutoImageProcessor">AutoImageProcessor</a>. See <code>OneFormerProcessor.__call__()</code>
for details.`,name:"task_inputs"},{anchor:"transformers.OneFormerModel.forward.pixel_mask",description:`<strong>pixel_mask</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, height, width)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding pixel values. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for pixels that are real (i.e. <strong>not masked</strong>),</li>
<li>0 for pixels that are padding (i.e. <strong>masked</strong>).</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"pixel_mask"},{anchor:"transformers.OneFormerModel.forward.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.OneFormerModel.forward.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of Detr&#x2019;s decoder attention layers.`,name:"output_attentions"},{anchor:"transformers.OneFormerModel.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <code>~OneFormerModelOutput</code> instead of a plain tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/transformers/blob/v4.26.1/src/transformers/models/oneformer/modeling_oneformer.py#L2880",returnDescription:`
<p>A <a
  href="/docs/transformers/v4.26.1/en/model_doc/oneformer#transformers.models.oneformer.modeling_oneformer.OneFormerModelOutput"
>transformers.models.oneformer.modeling_oneformer.OneFormerModelOutput</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/v4.26.1/en/model_doc/oneformer#transformers.OneFormerConfig"
>OneFormerConfig</a>) and inputs.</p>
<ul>
<li><strong>encoder_hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings + one for the output of each stage) of
shape <code>(batch_size, num_channels, height, width)</code>. Hidden-states (also called feature maps) of the encoder
model at the output of each stage.</li>
<li><strong>pixel_decoder_hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings + one for the output of each stage) of
shape <code>(batch_size, num_channels, height, width)</code>. Hidden-states (also called feature maps) of the pixel
decoder model at the output of each stage.</li>
<li><strong>transformer_decoder_hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings + one for the output of each stage) of
shape <code>(batch_size, sequence_length, hidden_size)</code>. Hidden-states (also called feature maps) of the
transformer decoder at the output of each stage.</li>
<li><strong>transformer_decoder_object_queries</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, num_queries, hidden_dim)</code>)
Output object queries from the last layer in the transformer decoder.</li>
<li><strong>transformer_decoder_contrastive_queries</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, num_queries, hidden_dim)</code>)
Contrastive queries from the transformer decoder.</li>
<li><strong>transformer_decoder_mask_predictions</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, num_queries, height, width)</code>)
Mask Predictions from the last layer in the transformer decoder.</li>
<li><strong>transformer_decoder_class_predictions</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, num_queries, num_classes+1)</code>) \u2014 Class Predictions from the last layer in the transformer decoder.</li>
<li><strong>transformer_decoder_auxiliary_predictions</strong> (Tuple of Dict of <code>str, torch.FloatTensor</code>, <em>optional</em>) \u2014 Tuple of class and mask predictions from each layer of the transformer decoder.</li>
<li><strong>text_queries</strong> (<code>torch.FloatTensor</code>, <em>optional</em> of shape <code>(batch_size, num_queries, hidden_dim)</code>)
Text queries derived from the input text list used for calculating contrastive loss during training.</li>
<li><strong>task_token</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, hidden_dim)</code>)
1D task token to condition the queries.</li>
<li><strong>attentions</strong> (<code>tuple(tuple(torch.FloatTensor))</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>tuple(torch.FloatTensor)</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>. Self and Cross Attentions weights from transformer decoder.</li>
</ul>
<p><code>OneFormerModelOutput</code></p>
`,returnType:`
<p><a
  href="/docs/transformers/v4.26.1/en/model_doc/oneformer#transformers.models.oneformer.modeling_oneformer.OneFormerModelOutput"
>transformers.models.oneformer.modeling_oneformer.OneFormerModelOutput</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),je=new Tc({props:{$$slots:{default:[zc]},$$scope:{ctx:N}}}),Ee=new Ji({props:{anchor:"transformers.OneFormerModel.forward.example",$$slots:{default:[Cc]},$$scope:{ctx:N}}}),Co=new Ue({}),So=new $({props:{name:"class transformers.OneFormerForUniversalSegmentation",anchor:"transformers.OneFormerForUniversalSegmentation",parameters:[{name:"config",val:": OneFormerConfig"}],parametersDescription:[{anchor:"transformers.OneFormerForUniversalSegmentation.config",description:`<strong>config</strong> (<a href="/docs/transformers/v4.26.1/en/model_doc/oneformer#transformers.OneFormerConfig">OneFormerConfig</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/v4.26.1/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/v4.26.1/src/transformers/models/oneformer/modeling_oneformer.py#L2992"}}),Mo=new $({props:{name:"forward",anchor:"transformers.OneFormerForUniversalSegmentation.forward",parameters:[{name:"pixel_values",val:": Tensor"},{name:"task_inputs",val:": Tensor"},{name:"text_inputs",val:": typing.Optional[torch.Tensor] = None"},{name:"mask_labels",val:": typing.Optional[typing.List[torch.Tensor]] = None"},{name:"class_labels",val:": typing.Optional[typing.List[torch.Tensor]] = None"},{name:"pixel_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"output_auxiliary_logits",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.OneFormerForUniversalSegmentation.forward.pixel_values",description:`<strong>pixel_values</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, num_channels, height, width)</code>) &#x2014;
Pixel values. Pixel values can be obtained using <a href="/docs/transformers/v4.26.1/en/model_doc/oneformer#transformers.OneFormerProcessor">OneFormerProcessor</a>. See
<code>OneFormerProcessor.__call__()</code> for details.`,name:"pixel_values"},{anchor:"transformers.OneFormerForUniversalSegmentation.forward.task_inputs",description:`<strong>task_inputs</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Task inputs. Task inputs can be obtained using <a href="/docs/transformers/v4.26.1/en/model_doc/auto#transformers.AutoImageProcessor">AutoImageProcessor</a>. See <code>OneFormerProcessor.__call__()</code>
for details.`,name:"task_inputs"},{anchor:"transformers.OneFormerForUniversalSegmentation.forward.pixel_mask",description:`<strong>pixel_mask</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, height, width)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding pixel values. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for pixels that are real (i.e. <strong>not masked</strong>),</li>
<li>0 for pixels that are padding (i.e. <strong>masked</strong>).</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"pixel_mask"},{anchor:"transformers.OneFormerForUniversalSegmentation.forward.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.OneFormerForUniversalSegmentation.forward.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of Detr&#x2019;s decoder attention layers.`,name:"output_attentions"},{anchor:"transformers.OneFormerForUniversalSegmentation.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <code>~OneFormerModelOutput</code> instead of a plain tuple.`,name:"return_dict"},{anchor:"transformers.OneFormerForUniversalSegmentation.forward.text_inputs",description:`<strong>text_inputs</strong> (<code>List[torch.Tensor]</code>, <em>optional</em>) &#x2014;
Tensor fof shape <code>(num_queries, sequence_length)</code> to be fed to a model`,name:"text_inputs"},{anchor:"transformers.OneFormerForUniversalSegmentation.forward.mask_labels",description:`<strong>mask_labels</strong> (<code>List[torch.Tensor]</code>, <em>optional</em>) &#x2014;
List of mask labels of shape <code>(num_labels, height, width)</code> to be fed to a model`,name:"mask_labels"},{anchor:"transformers.OneFormerForUniversalSegmentation.forward.class_labels",description:`<strong>class_labels</strong> (<code>List[torch.LongTensor]</code>, <em>optional</em>) &#x2014;
list of target class labels of shape <code>(num_labels, height, width)</code> to be fed to a model. They identify the
labels of <code>mask_labels</code>, e.g. the label of <code>mask_labels[i][j]</code> if <code>class_labels[i][j]</code>.`,name:"class_labels"}],source:"https://github.com/huggingface/transformers/blob/v4.26.1/src/transformers/models/oneformer/modeling_oneformer.py#L3059",returnDescription:`
<p>A <a
  href="/docs/transformers/v4.26.1/en/model_doc/oneformer#transformers.models.oneformer.modeling_oneformer.OneFormerForUniversalSegmentationOutput"
>transformers.models.oneformer.modeling_oneformer.OneFormerForUniversalSegmentationOutput</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/v4.26.1/en/model_doc/oneformer#transformers.OneFormerConfig"
>OneFormerConfig</a>) and inputs.</p>
<ul>
<li><strong>loss</strong> (<code>torch.Tensor</code>, <em>optional</em>) \u2014 The computed loss, returned when labels are present.</li>
<li><strong>class_queries_logits</strong> (<code>torch.FloatTensor</code>) \u2014 A tensor of shape <code>(batch_size, num_queries, num_labels + 1)</code> representing the proposed classes for each
query. Note the <code>+ 1</code> is needed because we incorporate the null class.</li>
<li><strong>masks_queries_logits</strong> (<code>torch.FloatTensor</code>) \u2014 A tensor of shape <code>(batch_size, num_queries, height, width)</code> representing the proposed masks for each
query.</li>
<li><strong>auxiliary_predictions</strong> (List of Dict of <code>str, torch.FloatTensor</code>, <em>optional</em>) \u2014 List of class and mask predictions from each layer of the transformer decoder.</li>
<li><strong>encoder_hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings + one for the output of each stage) of
shape <code>(batch_size, num_channels, height, width)</code>. Hidden-states (also called feature maps) of the encoder
model at the output of each stage.</li>
<li><strong>pixel_decoder_hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings + one for the output of each stage) of
shape <code>(batch_size, num_channels, height, width)</code>. Hidden-states (also called feature maps) of the pixel
decoder model at the output of each stage.</li>
<li><strong>transformer_decoder_hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings + one for the output of each stage) of
shape <code>(batch_size, sequence_length, hidden_size)</code>. Hidden-states (also called feature maps) of the
transformer decoder at the output of each stage.</li>
<li><strong>transformer_decoder_object_queries</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, num_queries, hidden_dim)</code>)
Output object queries from the last layer in the transformer decoder.</li>
<li><strong>transformer_decoder_contrastive_queries</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, num_queries, hidden_dim)</code>)
Contrastive queries from the transformer decoder.</li>
<li><strong>transformer_decoder_mask_predictions</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, num_queries, height, width)</code>)
Mask Predictions from the last layer in the transformer decoder.</li>
<li><strong>transformer_decoder_class_predictions</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, num_queries, num_classes+1)</code>) \u2014 Class Predictions from the last layer in the transformer decoder.</li>
<li><strong>transformer_decoder_auxiliary_predictions</strong> (List of Dict of <code>str, torch.FloatTensor</code>, <em>optional</em>) \u2014 List of class and mask predictions from each layer of the transformer decoder.</li>
<li><strong>text_queries</strong> (<code>torch.FloatTensor</code>, <em>optional</em> of shape <code>(batch_size, num_queries, hidden_dim)</code>)
Text queries derived from the input text list used for calculating contrastive loss during training.</li>
<li><strong>task_token</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, hidden_dim)</code>)
1D task token to condition the queries.</li>
<li><strong>attentions</strong> (<code>tuple(tuple(torch.FloatTensor))</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>tuple(torch.FloatTensor)</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>. Self and Cross Attentions weights from transformer decoder.</li>
</ul>
<p><code>OneFormerUniversalSegmentationOutput</code></p>
`,returnType:`
<p><a
  href="/docs/transformers/v4.26.1/en/model_doc/oneformer#transformers.models.oneformer.modeling_oneformer.OneFormerForUniversalSegmentationOutput"
>transformers.models.oneformer.modeling_oneformer.OneFormerForUniversalSegmentationOutput</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),Ce=new Tc({props:{$$slots:{default:[Sc]},$$scope:{ctx:N}}}),Se=new Ji({props:{anchor:"transformers.OneFormerForUniversalSegmentation.forward.example",$$slots:{default:[Nc]},$$scope:{ctx:N}}}),{c(){f=s("meta"),x=c(),_=s("h1"),g=s("a"),k=s("span"),v(m.$$.fragment),u=c(),A=s("span"),pn=r("OneFormer"),mr=c(),oe=s("h2"),fe=s("a"),Tt=s("span"),v(Re.$$.fragment),hn=c(),$t=s("span"),fn=r("Overview"),pr=c(),ge=s("p"),gn=r("The OneFormer model was proposed in "),We=s("a"),un=r("OneFormer: One Transformer to Rule Universal Image Segmentation"),_n=r(" by Jitesh Jain, Jiachen Li, MangTik Chiu, Ali Hassani, Nikita Orlov, Humphrey Shi. OneFormer is a universal image segmentation framework that can be trained on a single panoptic dataset to perform semantic, instance, and panoptic segmentation tasks. OneFormer uses a task token to condition the model on the task in focus, making the architecture task-guided for training, and task-dynamic for inference."),hr=c(),He=s("img"),fr=c(),Uo=s("p"),vn=r("The abstract from the paper is the following:"),gr=c(),Ro=s("p"),Pt=s("em"),bn=r("Universal Image Segmentation is not a new concept. Past attempts to unify image segmentation in the last decades include scene parsing, panoptic segmentation, and, more recently, new panoptic architectures. However, such panoptic architectures do not truly unify image segmentation because they need to be trained individually on the semantic, instance, or panoptic segmentation to achieve the best performance. Ideally, a truly universal framework should be trained only once and achieve SOTA performance across all three image segmentation tasks. To that end, we propose OneFormer, a universal image segmentation framework that unifies segmentation with a multi-task train-once design. We first propose a task-conditioned joint training strategy that enables training on ground truths of each domain (semantic, instance, and panoptic segmentation) within a single multi-task training process. Secondly, we introduce a task token to condition our model on the task at hand, making our model task-dynamic to support multi-task training and inference. Thirdly, we propose using a query-text contrastive loss during training to establish better inter-task and inter-class distinctions. Notably, our single OneFormer model outperforms specialized Mask2Former models across all three segmentation tasks on ADE20k, CityScapes, and COCO, despite the latter being trained on each of the three tasks individually with three times the resources. With new ConvNeXt and DiNAT backbones, we observe even more performance improvement. We believe OneFormer is a significant step towards making image segmentation more universal and accessible."),ur=c(),Wo=s("p"),Fn=r("Tips:"),_r=c(),E=s("ul"),te=s("li"),yn=r("OneFormer requires two inputs during inference: "),qt=s("em"),On=r("image"),wn=r(" and "),It=s("em"),kn=r("task token"),xn=r("."),Tn=c(),jt=s("li"),$n=r("During training, OneFormer only uses panoptic annotations."),Pn=c(),C=s("li"),qn=r(`If you want to train the model in a distributed environment across multiple nodes, then one should update the
`),Et=s("code"),In=r("get_num_masks"),jn=r(" function inside in the "),zt=s("code"),En=r("OneFormerLoss"),zn=r(" class of "),Ct=s("code"),Cn=r("modeling_oneformer.py"),Sn=r(`. When training on multiple nodes, this should be
set to the average number of target masks across all nodes, as can be seen in the original implementation `),Ve=s("a"),Nn=r("here"),Ln=r("."),Mn=c(),S=s("li"),Dn=r("One can use "),Ho=s("a"),An=r("OneFormerProcessor"),Un=r(" to prepare input images and task inputs for the model and optional targets for the model. "),St=s("code"),Rn=r("OneformerProcessor"),Wn=r(" wraps "),Vo=s("a"),Hn=r("OneFormerImageProcessor"),Vn=r(" and "),Bo=s("a"),Bn=r("CLIPTokenizer"),Jn=r(" into a single instance to both prepare the images and encode the task inputs."),Gn=c(),I=s("li"),Xn=r("To get the final segmentation, depending on the task, you can call "),Jo=s("a"),Zn=r("post_process_semantic_segmentation()"),Kn=r(" or "),Go=s("a"),Qn=r("post_process_instance_segmentation()"),Yn=r(" or "),Xo=s("a"),es=r("post_process_panoptic_segmentation()"),os=r(". All three tasks can be solved using "),Zo=s("a"),ts=r("OneFormerForUniversalSegmentation"),rs=r(" output, panoptic segmentation accepts an optional "),Nt=s("code"),ns=r("label_ids_to_fuse"),ss=r(" argument to fuse instances of the target object/s (e.g. sky) together."),vr=c(),ue=s("p"),as=r("The figure below illustrates the architecture of OneFormer. Taken from the "),Be=s("a"),is=r("original paper"),ls=r("."),br=c(),Je=s("img"),Fr=c(),G=s("p"),cs=r("This model was contributed by "),Ge=s("a"),ds=r("Jitesh Jain"),ms=r(". The original code can be found "),Xe=s("a"),ps=r("here"),hs=r("."),yr=c(),re=s("h2"),_e=s("a"),Lt=s("span"),v(Ze.$$.fragment),fs=c(),Mt=s("span"),gs=r("OneFormer specific outputs"),Or=c(),ne=s("div"),v(Ke.$$.fragment),us=c(),Qe=s("p"),_s=r("Class for outputs of "),Ko=s("a"),vs=r("OneFormerModel"),bs=r(". This class returns all the needed hidden states to compute the logits."),wr=c(),U=s("div"),v(Ye.$$.fragment),Fs=c(),eo=s("p"),ys=r("Class for outputs of "),Dt=s("code"),Os=r("OneFormerForUniversalSegmentationOutput"),ws=r("."),ks=c(),R=s("p"),xs=r("This output can be directly passed to "),Qo=s("a"),Ts=r("post_process_semantic_segmentation()"),$s=r(` or
`),Yo=s("a"),Ps=r("post_process_instance_segmentation()"),qs=r(` or
`),et=s("a"),Is=r("post_process_panoptic_segmentation()"),js=r(" depending on the task. Please, see\n[`~OneFormerImageProcessor] for details regarding usage."),kr=c(),se=s("h2"),ve=s("a"),At=s("span"),v(oo.$$.fragment),Es=c(),Ut=s("span"),zs=r("OneFormerConfig"),xr=c(),j=s("div"),v(to.$$.fragment),Cs=c(),W=s("p"),Ss=r("This is the configuration class to store the configuration of a "),ot=s("a"),Ns=r("OneFormerModel"),Ls=r(`. It is used to instantiate a
OneFormer model according to the specified arguments, defining the model architecture. Instantiating a
configuration with the defaults will yield a similar configuration to that of the OneFormer
`),ro=s("a"),Ms=r("shi-labs/oneformer_ade20k_swin_tiny"),Ds=r(` architecture
trained on `),no=s("a"),As=r("ADE20k-150"),Us=r("."),Rs=c(),ae=s("p"),Ws=r("Configuration objects inherit from "),tt=s("a"),Hs=r("PretrainedConfig"),Vs=r(` and can be used to control the model outputs. Read the
documentation from `),rt=s("a"),Bs=r("PretrainedConfig"),Js=r(" for more information."),Gs=c(),v(be.$$.fragment),Xs=c(),Fe=s("div"),v(so.$$.fragment),Zs=c(),ie=s("p"),Ks=r("Serializes this instance to a Python dictionary. Override the default "),nt=s("a"),Qs=r("to_dict()"),Ys=r(`. Returns:
`),Rt=s("code"),ea=r("Dict[str, any]"),oa=r(": Dictionary of all the attributes that make up this configuration instance,"),Tr=c(),le=s("h2"),ye=s("a"),Wt=s("span"),v(ao.$$.fragment),ta=c(),Ht=s("span"),ra=r("OneFormerImageProcessor"),$r=c(),T=s("div"),v(io.$$.fragment),na=c(),Vt=s("p"),sa=r(`Constructs a OneFormer image processor. The image processor can be used to prepare image(s), task input(s) and
optional text inputs and targets for the model.`),aa=c(),lo=s("p"),ia=r("This image processor inherits from "),Bt=s("code"),la=r("BaseImageProcessor"),ca=r(` which contains most of the main methods. Users should
refer to this superclass for more information regarding those methods.`),da=c(),st=s("div"),v(co.$$.fragment),ma=c(),X=s("div"),v(mo.$$.fragment),pa=c(),po=s("p"),ha=r("Pad images up to the largest image in a batch and create a corresponding "),Jt=s("code"),fa=r("pixel_mask"),ga=r("."),ua=c(),H=s("p"),_a=r(`OneFormer addresses semantic segmentation with a mask classification paradigm, thus input segmentation maps
will be converted to lists of binary masks and their respective labels. Let\u2019s see an example, assuming
`),Gt=s("code"),va=r("segmentation_maps = [[2,6,7,9]]"),ba=r(", the output will contain "),Xt=s("code"),Fa=r("mask_labels = [[1,0,0,0],[0,1,0,0],[0,0,1,0],[0,0,0,1]]"),ya=r(" (four binary masks) and "),Zt=s("code"),Oa=r("class_labels = [2,6,7,9]"),wa=r(`, the labels for
each mask.`),ka=c(),Oe=s("div"),v(ho.$$.fragment),xa=c(),fo=s("p"),Ta=r("Converts the output of "),at=s("a"),$a=r("MaskFormerForInstanceSegmentation"),Pa=r(` into semantic segmentation maps. Only supports
PyTorch.`),qa=c(),we=s("div"),v(go.$$.fragment),Ia=c(),uo=s("p"),ja=r("Converts the output of "),Kt=s("code"),Ea=r("OneFormerForUniversalSegmentationOutput"),za=r(` into image instance segmentation
predictions. Only supports PyTorch.`),Ca=c(),ke=s("div"),v(_o.$$.fragment),Sa=c(),vo=s("p"),Na=r("Converts the output of "),Qt=s("code"),La=r("MaskFormerForInstanceSegmentationOutput"),Ma=r(` into image panoptic segmentation
predictions. Only supports PyTorch.`),Pr=c(),ce=s("h2"),xe=s("a"),Yt=s("span"),v(bo.$$.fragment),Da=c(),er=s("span"),Aa=r("OneFormerProcessor"),qr=c(),P=s("div"),v(Fo.$$.fragment),Ua=c(),V=s("p"),Ra=r("Constructs an OneFormer processor which wraps "),it=s("a"),Wa=r("OneFormerImageProcessor"),Ha=r(` and
`),lt=s("a"),Va=r("CLIPTokenizer"),Ba=r("/"),ct=s("a"),Ja=r("CLIPTokenizerFast"),Ga=r(` into a single processor that inherits both the image processor and
tokenizer functionalities.`),Xa=c(),Te=s("div"),v(yo.$$.fragment),Za=c(),Oo=s("p"),Ka=r("This method forwards all its arguments to "),dt=s("a"),Qa=r("OneFormerImageProcessor.encode_inputs()"),Ya=r(` and then tokenizes the
task_inputs. Please refer to the docstring of this method for more information.`),ei=c(),$e=s("div"),v(wo.$$.fragment),oi=c(),ko=s("p"),ti=r("This method forwards all its arguments to "),mt=s("a"),ri=r("OneFormerImageProcessor.post_process_instance_segmentation()"),ni=r(`.
Please refer to the docstring of this method for more information.`),si=c(),Pe=s("div"),v(xo.$$.fragment),ai=c(),To=s("p"),ii=r("This method forwards all its arguments to "),pt=s("a"),li=r("OneFormerImageProcessor.post_process_panoptic_segmentation()"),ci=r(`.
Please refer to the docstring of this method for more information.`),di=c(),qe=s("div"),v($o.$$.fragment),mi=c(),Po=s("p"),pi=r("This method forwards all its arguments to "),ht=s("a"),hi=r("OneFormerImageProcessor.post_process_semantic_segmentation()"),fi=r(`.
Please refer to the docstring of this method for more information.`),Ir=c(),de=s("h2"),Ie=s("a"),or=s("span"),v(qo.$$.fragment),gi=c(),tr=s("span"),ui=r("OneFormerModel"),jr=c(),B=s("div"),v(Io.$$.fragment),_i=c(),jo=s("p"),vi=r(`The bare OneFormer Model outputting raw hidden-states without any specific head on top.
This model is a PyTorch `),Eo=s("a"),bi=r("nn.Module"),Fi=r(` sub-class. Use it as a
regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage and behavior.`),yi=c(),L=s("div"),v(zo.$$.fragment),Oi=c(),me=s("p"),wi=r("The "),ft=s("a"),ki=r("OneFormerModel"),xi=r(" forward method, overrides the "),rr=s("code"),Ti=r("__call__"),$i=r(" special method."),Pi=c(),v(je.$$.fragment),qi=c(),v(Ee.$$.fragment),Er=c(),pe=s("h2"),ze=s("a"),nr=s("span"),v(Co.$$.fragment),Ii=c(),sr=s("span"),ji=r("OneFormerForUniversalSegmentation"),zr=c(),J=s("div"),v(So.$$.fragment),Ei=c(),No=s("p"),zi=r(`OneFormer Model for instance, semantic and panoptic image segmentation.
This model is a PyTorch `),Lo=s("a"),Ci=r("nn.Module"),Si=r(` sub-class. Use it as a
regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage and behavior.`),Ni=c(),z=s("div"),v(Mo.$$.fragment),Li=c(),he=s("p"),Mi=r("The "),gt=s("a"),Di=r("OneFormerForUniversalSegmentation"),Ai=r(" forward method, overrides the "),ar=s("code"),Ui=r("__call__"),Ri=r(" special method."),Wi=c(),v(Ce.$$.fragment),Hi=c(),ir=s("p"),Vi=r("Example:"),Bi=c(),v(Se.$$.fragment),this.h()},l(o){const p=Ic('[data-svelte="svelte-1phssyn"]',document.head);f=a(p,"META",{name:!0,content:!0}),p.forEach(t),x=d(o),_=a(o,"H1",{class:!0});var Do=i(_);g=a(Do,"A",{id:!0,class:!0,href:!0});var lr=i(g);k=a(lr,"SPAN",{});var cr=i(k);b(m.$$.fragment,cr),cr.forEach(t),lr.forEach(t),u=d(Do),A=a(Do,"SPAN",{});var dr=i(A);pn=n(dr,"OneFormer"),dr.forEach(t),Do.forEach(t),mr=d(o),oe=a(o,"H2",{class:!0});var Ao=i(oe);fe=a(Ao,"A",{id:!0,class:!0,href:!0});var Qi=i(fe);Tt=a(Qi,"SPAN",{});var Yi=i(Tt);b(Re.$$.fragment,Yi),Yi.forEach(t),Qi.forEach(t),hn=d(Ao),$t=a(Ao,"SPAN",{});var el=i($t);fn=n(el,"Overview"),el.forEach(t),Ao.forEach(t),pr=d(o),ge=a(o,"P",{});var Sr=i(ge);gn=n(Sr,"The OneFormer model was proposed in "),We=a(Sr,"A",{href:!0,rel:!0});var ol=i(We);un=n(ol,"OneFormer: One Transformer to Rule Universal Image Segmentation"),ol.forEach(t),_n=n(Sr," by Jitesh Jain, Jiachen Li, MangTik Chiu, Ali Hassani, Nikita Orlov, Humphrey Shi. OneFormer is a universal image segmentation framework that can be trained on a single panoptic dataset to perform semantic, instance, and panoptic segmentation tasks. OneFormer uses a task token to condition the model on the task in focus, making the architecture task-guided for training, and task-dynamic for inference."),Sr.forEach(t),hr=d(o),He=a(o,"IMG",{width:!0,src:!0}),fr=d(o),Uo=a(o,"P",{});var tl=i(Uo);vn=n(tl,"The abstract from the paper is the following:"),tl.forEach(t),gr=d(o),Ro=a(o,"P",{});var rl=i(Ro);Pt=a(rl,"EM",{});var nl=i(Pt);bn=n(nl,"Universal Image Segmentation is not a new concept. Past attempts to unify image segmentation in the last decades include scene parsing, panoptic segmentation, and, more recently, new panoptic architectures. However, such panoptic architectures do not truly unify image segmentation because they need to be trained individually on the semantic, instance, or panoptic segmentation to achieve the best performance. Ideally, a truly universal framework should be trained only once and achieve SOTA performance across all three image segmentation tasks. To that end, we propose OneFormer, a universal image segmentation framework that unifies segmentation with a multi-task train-once design. We first propose a task-conditioned joint training strategy that enables training on ground truths of each domain (semantic, instance, and panoptic segmentation) within a single multi-task training process. Secondly, we introduce a task token to condition our model on the task at hand, making our model task-dynamic to support multi-task training and inference. Thirdly, we propose using a query-text contrastive loss during training to establish better inter-task and inter-class distinctions. Notably, our single OneFormer model outperforms specialized Mask2Former models across all three segmentation tasks on ADE20k, CityScapes, and COCO, despite the latter being trained on each of the three tasks individually with three times the resources. With new ConvNeXt and DiNAT backbones, we observe even more performance improvement. We believe OneFormer is a significant step towards making image segmentation more universal and accessible."),nl.forEach(t),rl.forEach(t),ur=d(o),Wo=a(o,"P",{});var sl=i(Wo);Fn=n(sl,"Tips:"),sl.forEach(t),_r=d(o),E=a(o,"UL",{});var Z=i(E);te=a(Z,"LI",{});var ut=i(te);yn=n(ut,"OneFormer requires two inputs during inference: "),qt=a(ut,"EM",{});var al=i(qt);On=n(al,"image"),al.forEach(t),wn=n(ut," and "),It=a(ut,"EM",{});var il=i(It);kn=n(il,"task token"),il.forEach(t),xn=n(ut,"."),ut.forEach(t),Tn=d(Z),jt=a(Z,"LI",{});var ll=i(jt);$n=n(ll,"During training, OneFormer only uses panoptic annotations."),ll.forEach(t),Pn=d(Z),C=a(Z,"LI",{});var K=i(C);qn=n(K,`If you want to train the model in a distributed environment across multiple nodes, then one should update the
`),Et=a(K,"CODE",{});var cl=i(Et);In=n(cl,"get_num_masks"),cl.forEach(t),jn=n(K," function inside in the "),zt=a(K,"CODE",{});var dl=i(zt);En=n(dl,"OneFormerLoss"),dl.forEach(t),zn=n(K," class of "),Ct=a(K,"CODE",{});var ml=i(Ct);Cn=n(ml,"modeling_oneformer.py"),ml.forEach(t),Sn=n(K,`. When training on multiple nodes, this should be
set to the average number of target masks across all nodes, as can be seen in the original implementation `),Ve=a(K,"A",{href:!0,rel:!0});var pl=i(Ve);Nn=n(pl,"here"),pl.forEach(t),Ln=n(K,"."),K.forEach(t),Mn=d(Z),S=a(Z,"LI",{});var Q=i(S);Dn=n(Q,"One can use "),Ho=a(Q,"A",{href:!0});var hl=i(Ho);An=n(hl,"OneFormerProcessor"),hl.forEach(t),Un=n(Q," to prepare input images and task inputs for the model and optional targets for the model. "),St=a(Q,"CODE",{});var fl=i(St);Rn=n(fl,"OneformerProcessor"),fl.forEach(t),Wn=n(Q," wraps "),Vo=a(Q,"A",{href:!0});var gl=i(Vo);Hn=n(gl,"OneFormerImageProcessor"),gl.forEach(t),Vn=n(Q," and "),Bo=a(Q,"A",{href:!0});var ul=i(Bo);Bn=n(ul,"CLIPTokenizer"),ul.forEach(t),Jn=n(Q," into a single instance to both prepare the images and encode the task inputs."),Q.forEach(t),Gn=d(Z),I=a(Z,"LI",{});var M=i(I);Xn=n(M,"To get the final segmentation, depending on the task, you can call "),Jo=a(M,"A",{href:!0});var _l=i(Jo);Zn=n(_l,"post_process_semantic_segmentation()"),_l.forEach(t),Kn=n(M," or "),Go=a(M,"A",{href:!0});var vl=i(Go);Qn=n(vl,"post_process_instance_segmentation()"),vl.forEach(t),Yn=n(M," or "),Xo=a(M,"A",{href:!0});var bl=i(Xo);es=n(bl,"post_process_panoptic_segmentation()"),bl.forEach(t),os=n(M,". All three tasks can be solved using "),Zo=a(M,"A",{href:!0});var Fl=i(Zo);ts=n(Fl,"OneFormerForUniversalSegmentation"),Fl.forEach(t),rs=n(M," output, panoptic segmentation accepts an optional "),Nt=a(M,"CODE",{});var yl=i(Nt);ns=n(yl,"label_ids_to_fuse"),yl.forEach(t),ss=n(M," argument to fuse instances of the target object/s (e.g. sky) together."),M.forEach(t),Z.forEach(t),vr=d(o),ue=a(o,"P",{});var Nr=i(ue);as=n(Nr,"The figure below illustrates the architecture of OneFormer. Taken from the "),Be=a(Nr,"A",{href:!0,rel:!0});var Ol=i(Be);is=n(Ol,"original paper"),Ol.forEach(t),ls=n(Nr,"."),Nr.forEach(t),br=d(o),Je=a(o,"IMG",{width:!0,src:!0}),Fr=d(o),G=a(o,"P",{});var _t=i(G);cs=n(_t,"This model was contributed by "),Ge=a(_t,"A",{href:!0,rel:!0});var wl=i(Ge);ds=n(wl,"Jitesh Jain"),wl.forEach(t),ms=n(_t,". The original code can be found "),Xe=a(_t,"A",{href:!0,rel:!0});var kl=i(Xe);ps=n(kl,"here"),kl.forEach(t),hs=n(_t,"."),_t.forEach(t),yr=d(o),re=a(o,"H2",{class:!0});var Lr=i(re);_e=a(Lr,"A",{id:!0,class:!0,href:!0});var xl=i(_e);Lt=a(xl,"SPAN",{});var Tl=i(Lt);b(Ze.$$.fragment,Tl),Tl.forEach(t),xl.forEach(t),fs=d(Lr),Mt=a(Lr,"SPAN",{});var $l=i(Mt);gs=n($l,"OneFormer specific outputs"),$l.forEach(t),Lr.forEach(t),Or=d(o),ne=a(o,"DIV",{class:!0});var Mr=i(ne);b(Ke.$$.fragment,Mr),us=d(Mr),Qe=a(Mr,"P",{});var Dr=i(Qe);_s=n(Dr,"Class for outputs of "),Ko=a(Dr,"A",{href:!0});var Pl=i(Ko);vs=n(Pl,"OneFormerModel"),Pl.forEach(t),bs=n(Dr,". This class returns all the needed hidden states to compute the logits."),Dr.forEach(t),Mr.forEach(t),wr=d(o),U=a(o,"DIV",{class:!0});var vt=i(U);b(Ye.$$.fragment,vt),Fs=d(vt),eo=a(vt,"P",{});var Ar=i(eo);ys=n(Ar,"Class for outputs of "),Dt=a(Ar,"CODE",{});var ql=i(Dt);Os=n(ql,"OneFormerForUniversalSegmentationOutput"),ql.forEach(t),ws=n(Ar,"."),Ar.forEach(t),ks=d(vt),R=a(vt,"P",{});var Ne=i(R);xs=n(Ne,"This output can be directly passed to "),Qo=a(Ne,"A",{href:!0});var Il=i(Qo);Ts=n(Il,"post_process_semantic_segmentation()"),Il.forEach(t),$s=n(Ne,` or
`),Yo=a(Ne,"A",{href:!0});var jl=i(Yo);Ps=n(jl,"post_process_instance_segmentation()"),jl.forEach(t),qs=n(Ne,` or
`),et=a(Ne,"A",{href:!0});var El=i(et);Is=n(El,"post_process_panoptic_segmentation()"),El.forEach(t),js=n(Ne," depending on the task. Please, see\n[`~OneFormerImageProcessor] for details regarding usage."),Ne.forEach(t),vt.forEach(t),kr=d(o),se=a(o,"H2",{class:!0});var Ur=i(se);ve=a(Ur,"A",{id:!0,class:!0,href:!0});var zl=i(ve);At=a(zl,"SPAN",{});var Cl=i(At);b(oo.$$.fragment,Cl),Cl.forEach(t),zl.forEach(t),Es=d(Ur),Ut=a(Ur,"SPAN",{});var Sl=i(Ut);zs=n(Sl,"OneFormerConfig"),Sl.forEach(t),Ur.forEach(t),xr=d(o),j=a(o,"DIV",{class:!0});var Y=i(j);b(to.$$.fragment,Y),Cs=d(Y),W=a(Y,"P",{});var Le=i(W);Ss=n(Le,"This is the configuration class to store the configuration of a "),ot=a(Le,"A",{href:!0});var Nl=i(ot);Ns=n(Nl,"OneFormerModel"),Nl.forEach(t),Ls=n(Le,`. It is used to instantiate a
OneFormer model according to the specified arguments, defining the model architecture. Instantiating a
configuration with the defaults will yield a similar configuration to that of the OneFormer
`),ro=a(Le,"A",{href:!0,rel:!0});var Ll=i(ro);Ms=n(Ll,"shi-labs/oneformer_ade20k_swin_tiny"),Ll.forEach(t),Ds=n(Le,` architecture
trained on `),no=a(Le,"A",{href:!0,rel:!0});var Ml=i(no);As=n(Ml,"ADE20k-150"),Ml.forEach(t),Us=n(Le,"."),Le.forEach(t),Rs=d(Y),ae=a(Y,"P",{});var bt=i(ae);Ws=n(bt,"Configuration objects inherit from "),tt=a(bt,"A",{href:!0});var Dl=i(tt);Hs=n(Dl,"PretrainedConfig"),Dl.forEach(t),Vs=n(bt,` and can be used to control the model outputs. Read the
documentation from `),rt=a(bt,"A",{href:!0});var Al=i(rt);Bs=n(Al,"PretrainedConfig"),Al.forEach(t),Js=n(bt," for more information."),bt.forEach(t),Gs=d(Y),b(be.$$.fragment,Y),Xs=d(Y),Fe=a(Y,"DIV",{class:!0});var Rr=i(Fe);b(so.$$.fragment,Rr),Zs=d(Rr),ie=a(Rr,"P",{});var Ft=i(ie);Ks=n(Ft,"Serializes this instance to a Python dictionary. Override the default "),nt=a(Ft,"A",{href:!0});var Ul=i(nt);Qs=n(Ul,"to_dict()"),Ul.forEach(t),Ys=n(Ft,`. Returns:
`),Rt=a(Ft,"CODE",{});var Rl=i(Rt);ea=n(Rl,"Dict[str, any]"),Rl.forEach(t),oa=n(Ft,": Dictionary of all the attributes that make up this configuration instance,"),Ft.forEach(t),Rr.forEach(t),Y.forEach(t),Tr=d(o),le=a(o,"H2",{class:!0});var Wr=i(le);ye=a(Wr,"A",{id:!0,class:!0,href:!0});var Wl=i(ye);Wt=a(Wl,"SPAN",{});var Hl=i(Wt);b(ao.$$.fragment,Hl),Hl.forEach(t),Wl.forEach(t),ta=d(Wr),Ht=a(Wr,"SPAN",{});var Vl=i(Ht);ra=n(Vl,"OneFormerImageProcessor"),Vl.forEach(t),Wr.forEach(t),$r=d(o),T=a(o,"DIV",{class:!0});var q=i(T);b(io.$$.fragment,q),na=d(q),Vt=a(q,"P",{});var Bl=i(Vt);sa=n(Bl,`Constructs a OneFormer image processor. The image processor can be used to prepare image(s), task input(s) and
optional text inputs and targets for the model.`),Bl.forEach(t),aa=d(q),lo=a(q,"P",{});var Hr=i(lo);ia=n(Hr,"This image processor inherits from "),Bt=a(Hr,"CODE",{});var Jl=i(Bt);la=n(Jl,"BaseImageProcessor"),Jl.forEach(t),ca=n(Hr,` which contains most of the main methods. Users should
refer to this superclass for more information regarding those methods.`),Hr.forEach(t),da=d(q),st=a(q,"DIV",{class:!0});var Gl=i(st);b(co.$$.fragment,Gl),Gl.forEach(t),ma=d(q),X=a(q,"DIV",{class:!0});var yt=i(X);b(mo.$$.fragment,yt),pa=d(yt),po=a(yt,"P",{});var Vr=i(po);ha=n(Vr,"Pad images up to the largest image in a batch and create a corresponding "),Jt=a(Vr,"CODE",{});var Xl=i(Jt);fa=n(Xl,"pixel_mask"),Xl.forEach(t),ga=n(Vr,"."),Vr.forEach(t),ua=d(yt),H=a(yt,"P",{});var Me=i(H);_a=n(Me,`OneFormer addresses semantic segmentation with a mask classification paradigm, thus input segmentation maps
will be converted to lists of binary masks and their respective labels. Let\u2019s see an example, assuming
`),Gt=a(Me,"CODE",{});var Zl=i(Gt);va=n(Zl,"segmentation_maps = [[2,6,7,9]]"),Zl.forEach(t),ba=n(Me,", the output will contain "),Xt=a(Me,"CODE",{});var Kl=i(Xt);Fa=n(Kl,"mask_labels = [[1,0,0,0],[0,1,0,0],[0,0,1,0],[0,0,0,1]]"),Kl.forEach(t),ya=n(Me," (four binary masks) and "),Zt=a(Me,"CODE",{});var Ql=i(Zt);Oa=n(Ql,"class_labels = [2,6,7,9]"),Ql.forEach(t),wa=n(Me,`, the labels for
each mask.`),Me.forEach(t),yt.forEach(t),ka=d(q),Oe=a(q,"DIV",{class:!0});var Br=i(Oe);b(ho.$$.fragment,Br),xa=d(Br),fo=a(Br,"P",{});var Jr=i(fo);Ta=n(Jr,"Converts the output of "),at=a(Jr,"A",{href:!0});var Yl=i(at);$a=n(Yl,"MaskFormerForInstanceSegmentation"),Yl.forEach(t),Pa=n(Jr,` into semantic segmentation maps. Only supports
PyTorch.`),Jr.forEach(t),Br.forEach(t),qa=d(q),we=a(q,"DIV",{class:!0});var Gr=i(we);b(go.$$.fragment,Gr),Ia=d(Gr),uo=a(Gr,"P",{});var Xr=i(uo);ja=n(Xr,"Converts the output of "),Kt=a(Xr,"CODE",{});var ec=i(Kt);Ea=n(ec,"OneFormerForUniversalSegmentationOutput"),ec.forEach(t),za=n(Xr,` into image instance segmentation
predictions. Only supports PyTorch.`),Xr.forEach(t),Gr.forEach(t),Ca=d(q),ke=a(q,"DIV",{class:!0});var Zr=i(ke);b(_o.$$.fragment,Zr),Sa=d(Zr),vo=a(Zr,"P",{});var Kr=i(vo);Na=n(Kr,"Converts the output of "),Qt=a(Kr,"CODE",{});var oc=i(Qt);La=n(oc,"MaskFormerForInstanceSegmentationOutput"),oc.forEach(t),Ma=n(Kr,` into image panoptic segmentation
predictions. Only supports PyTorch.`),Kr.forEach(t),Zr.forEach(t),q.forEach(t),Pr=d(o),ce=a(o,"H2",{class:!0});var Qr=i(ce);xe=a(Qr,"A",{id:!0,class:!0,href:!0});var tc=i(xe);Yt=a(tc,"SPAN",{});var rc=i(Yt);b(bo.$$.fragment,rc),rc.forEach(t),tc.forEach(t),Da=d(Qr),er=a(Qr,"SPAN",{});var nc=i(er);Aa=n(nc,"OneFormerProcessor"),nc.forEach(t),Qr.forEach(t),qr=d(o),P=a(o,"DIV",{class:!0});var D=i(P);b(Fo.$$.fragment,D),Ua=d(D),V=a(D,"P",{});var De=i(V);Ra=n(De,"Constructs an OneFormer processor which wraps "),it=a(De,"A",{href:!0});var sc=i(it);Wa=n(sc,"OneFormerImageProcessor"),sc.forEach(t),Ha=n(De,` and
`),lt=a(De,"A",{href:!0});var ac=i(lt);Va=n(ac,"CLIPTokenizer"),ac.forEach(t),Ba=n(De,"/"),ct=a(De,"A",{href:!0});var ic=i(ct);Ja=n(ic,"CLIPTokenizerFast"),ic.forEach(t),Ga=n(De,` into a single processor that inherits both the image processor and
tokenizer functionalities.`),De.forEach(t),Xa=d(D),Te=a(D,"DIV",{class:!0});var Yr=i(Te);b(yo.$$.fragment,Yr),Za=d(Yr),Oo=a(Yr,"P",{});var en=i(Oo);Ka=n(en,"This method forwards all its arguments to "),dt=a(en,"A",{href:!0});var lc=i(dt);Qa=n(lc,"OneFormerImageProcessor.encode_inputs()"),lc.forEach(t),Ya=n(en,` and then tokenizes the
task_inputs. Please refer to the docstring of this method for more information.`),en.forEach(t),Yr.forEach(t),ei=d(D),$e=a(D,"DIV",{class:!0});var on=i($e);b(wo.$$.fragment,on),oi=d(on),ko=a(on,"P",{});var tn=i(ko);ti=n(tn,"This method forwards all its arguments to "),mt=a(tn,"A",{href:!0});var cc=i(mt);ri=n(cc,"OneFormerImageProcessor.post_process_instance_segmentation()"),cc.forEach(t),ni=n(tn,`.
Please refer to the docstring of this method for more information.`),tn.forEach(t),on.forEach(t),si=d(D),Pe=a(D,"DIV",{class:!0});var rn=i(Pe);b(xo.$$.fragment,rn),ai=d(rn),To=a(rn,"P",{});var nn=i(To);ii=n(nn,"This method forwards all its arguments to "),pt=a(nn,"A",{href:!0});var dc=i(pt);li=n(dc,"OneFormerImageProcessor.post_process_panoptic_segmentation()"),dc.forEach(t),ci=n(nn,`.
Please refer to the docstring of this method for more information.`),nn.forEach(t),rn.forEach(t),di=d(D),qe=a(D,"DIV",{class:!0});var sn=i(qe);b($o.$$.fragment,sn),mi=d(sn),Po=a(sn,"P",{});var an=i(Po);pi=n(an,"This method forwards all its arguments to "),ht=a(an,"A",{href:!0});var mc=i(ht);hi=n(mc,"OneFormerImageProcessor.post_process_semantic_segmentation()"),mc.forEach(t),fi=n(an,`.
Please refer to the docstring of this method for more information.`),an.forEach(t),sn.forEach(t),D.forEach(t),Ir=d(o),de=a(o,"H2",{class:!0});var ln=i(de);Ie=a(ln,"A",{id:!0,class:!0,href:!0});var pc=i(Ie);or=a(pc,"SPAN",{});var hc=i(or);b(qo.$$.fragment,hc),hc.forEach(t),pc.forEach(t),gi=d(ln),tr=a(ln,"SPAN",{});var fc=i(tr);ui=n(fc,"OneFormerModel"),fc.forEach(t),ln.forEach(t),jr=d(o),B=a(o,"DIV",{class:!0});var Ot=i(B);b(Io.$$.fragment,Ot),_i=d(Ot),jo=a(Ot,"P",{});var cn=i(jo);vi=n(cn,`The bare OneFormer Model outputting raw hidden-states without any specific head on top.
This model is a PyTorch `),Eo=a(cn,"A",{href:!0,rel:!0});var gc=i(Eo);bi=n(gc,"nn.Module"),gc.forEach(t),Fi=n(cn,` sub-class. Use it as a
regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage and behavior.`),cn.forEach(t),yi=d(Ot),L=a(Ot,"DIV",{class:!0});var Ae=i(L);b(zo.$$.fragment,Ae),Oi=d(Ae),me=a(Ae,"P",{});var wt=i(me);wi=n(wt,"The "),ft=a(wt,"A",{href:!0});var uc=i(ft);ki=n(uc,"OneFormerModel"),uc.forEach(t),xi=n(wt," forward method, overrides the "),rr=a(wt,"CODE",{});var _c=i(rr);Ti=n(_c,"__call__"),_c.forEach(t),$i=n(wt," special method."),wt.forEach(t),Pi=d(Ae),b(je.$$.fragment,Ae),qi=d(Ae),b(Ee.$$.fragment,Ae),Ae.forEach(t),Ot.forEach(t),Er=d(o),pe=a(o,"H2",{class:!0});var dn=i(pe);ze=a(dn,"A",{id:!0,class:!0,href:!0});var vc=i(ze);nr=a(vc,"SPAN",{});var bc=i(nr);b(Co.$$.fragment,bc),bc.forEach(t),vc.forEach(t),Ii=d(dn),sr=a(dn,"SPAN",{});var Fc=i(sr);ji=n(Fc,"OneFormerForUniversalSegmentation"),Fc.forEach(t),dn.forEach(t),zr=d(o),J=a(o,"DIV",{class:!0});var kt=i(J);b(So.$$.fragment,kt),Ei=d(kt),No=a(kt,"P",{});var mn=i(No);zi=n(mn,`OneFormer Model for instance, semantic and panoptic image segmentation.
This model is a PyTorch `),Lo=a(mn,"A",{href:!0,rel:!0});var yc=i(Lo);Ci=n(yc,"nn.Module"),yc.forEach(t),Si=n(mn,` sub-class. Use it as a
regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage and behavior.`),mn.forEach(t),Ni=d(kt),z=a(kt,"DIV",{class:!0});var ee=i(z);b(Mo.$$.fragment,ee),Li=d(ee),he=a(ee,"P",{});var xt=i(he);Mi=n(xt,"The "),gt=a(xt,"A",{href:!0});var Oc=i(gt);Di=n(Oc,"OneFormerForUniversalSegmentation"),Oc.forEach(t),Ai=n(xt," forward method, overrides the "),ar=a(xt,"CODE",{});var wc=i(ar);Ui=n(wc,"__call__"),wc.forEach(t),Ri=n(xt," special method."),xt.forEach(t),Wi=d(ee),b(Ce.$$.fragment,ee),Hi=d(ee),ir=a(ee,"P",{});var kc=i(ir);Vi=n(kc,"Example:"),kc.forEach(t),Bi=d(ee),b(Se.$$.fragment,ee),ee.forEach(t),kt.forEach(t),this.h()},h(){l(f,"name","hf:doc:metadata"),l(f,"content",JSON.stringify(Mc)),l(g,"id","oneformer"),l(g,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(g,"href","#oneformer"),l(_,"class","relative group"),l(fe,"id","overview"),l(fe,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(fe,"href","#overview"),l(oe,"class","relative group"),l(We,"href","https://arxiv.org/abs/2211.06220"),l(We,"rel","nofollow"),l(He,"width","600"),xc(He.src,Zi="https://huggingface.co/datasets/huggingface/documentation-images/resolve/main/transformers/model_doc/oneformer_teaser.png")||l(He,"src",Zi),l(Ve,"href","https://github.com/SHI-Labs/OneFormer/blob/33ebb56ed34f970a30ae103e786c0cb64c653d9a/oneformer/modeling/criterion.py#L287"),l(Ve,"rel","nofollow"),l(Ho,"href","/docs/transformers/v4.26.1/en/model_doc/oneformer#transformers.OneFormerProcessor"),l(Vo,"href","/docs/transformers/v4.26.1/en/model_doc/oneformer#transformers.OneFormerImageProcessor"),l(Bo,"href","/docs/transformers/v4.26.1/en/model_doc/clip#transformers.CLIPTokenizer"),l(Jo,"href","/docs/transformers/v4.26.1/en/model_doc/oneformer#transformers.OneFormerProcessor.post_process_semantic_segmentation"),l(Go,"href","/docs/transformers/v4.26.1/en/model_doc/oneformer#transformers.OneFormerImageProcessor.post_process_instance_segmentation"),l(Xo,"href","/docs/transformers/v4.26.1/en/model_doc/oneformer#transformers.OneFormerImageProcessor.post_process_panoptic_segmentation"),l(Zo,"href","/docs/transformers/v4.26.1/en/model_doc/oneformer#transformers.OneFormerForUniversalSegmentation"),l(Be,"href","https://arxiv.org/abs/2211.06220"),l(Be,"rel","nofollow"),l(Je,"width","600"),xc(Je.src,Ki="https://huggingface.co/datasets/huggingface/documentation-images/resolve/main/transformers/model_doc/oneformer_architecture.png")||l(Je,"src",Ki),l(Ge,"href","https://huggingface.co/praeclarumjj3"),l(Ge,"rel","nofollow"),l(Xe,"href","https://github.com/SHI-Labs/OneFormer"),l(Xe,"rel","nofollow"),l(_e,"id","transformers.models.oneformer.modeling_oneformer.OneFormerModelOutput"),l(_e,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(_e,"href","#transformers.models.oneformer.modeling_oneformer.OneFormerModelOutput"),l(re,"class","relative group"),l(Ko,"href","/docs/transformers/v4.26.1/en/model_doc/oneformer#transformers.OneFormerModel"),l(ne,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(Qo,"href","/docs/transformers/v4.26.1/en/model_doc/oneformer#transformers.OneFormerImageProcessor.post_process_semantic_segmentation"),l(Yo,"href","/docs/transformers/v4.26.1/en/model_doc/oneformer#transformers.OneFormerImageProcessor.post_process_instance_segmentation"),l(et,"href","/docs/transformers/v4.26.1/en/model_doc/oneformer#transformers.OneFormerImageProcessor.post_process_panoptic_segmentation"),l(U,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(ve,"id","transformers.OneFormerConfig"),l(ve,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(ve,"href","#transformers.OneFormerConfig"),l(se,"class","relative group"),l(ot,"href","/docs/transformers/v4.26.1/en/model_doc/oneformer#transformers.OneFormerModel"),l(ro,"href","https://huggingface.co/shi-labs/oneformer_ade20k_swin_tiny"),l(ro,"rel","nofollow"),l(no,"href","https://huggingface.co/datasets/scene_parse_150"),l(no,"rel","nofollow"),l(tt,"href","/docs/transformers/v4.26.1/en/main_classes/configuration#transformers.PretrainedConfig"),l(rt,"href","/docs/transformers/v4.26.1/en/main_classes/configuration#transformers.PretrainedConfig"),l(nt,"href","/docs/transformers/v4.26.1/en/main_classes/configuration#transformers.PretrainedConfig.to_dict"),l(Fe,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(j,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(ye,"id","transformers.OneFormerImageProcessor"),l(ye,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(ye,"href","#transformers.OneFormerImageProcessor"),l(le,"class","relative group"),l(st,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(X,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(at,"href","/docs/transformers/v4.26.1/en/model_doc/maskformer#transformers.MaskFormerForInstanceSegmentation"),l(Oe,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(we,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(ke,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(T,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(xe,"id","transformers.OneFormerProcessor"),l(xe,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(xe,"href","#transformers.OneFormerProcessor"),l(ce,"class","relative group"),l(it,"href","/docs/transformers/v4.26.1/en/model_doc/oneformer#transformers.OneFormerImageProcessor"),l(lt,"href","/docs/transformers/v4.26.1/en/model_doc/clip#transformers.CLIPTokenizer"),l(ct,"href","/docs/transformers/v4.26.1/en/model_doc/clip#transformers.CLIPTokenizerFast"),l(dt,"href","/docs/transformers/v4.26.1/en/model_doc/oneformer#transformers.OneFormerImageProcessor.encode_inputs"),l(Te,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(mt,"href","/docs/transformers/v4.26.1/en/model_doc/oneformer#transformers.OneFormerImageProcessor.post_process_instance_segmentation"),l($e,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(pt,"href","/docs/transformers/v4.26.1/en/model_doc/oneformer#transformers.OneFormerImageProcessor.post_process_panoptic_segmentation"),l(Pe,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(ht,"href","/docs/transformers/v4.26.1/en/model_doc/oneformer#transformers.OneFormerImageProcessor.post_process_semantic_segmentation"),l(qe,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(P,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(Ie,"id","transformers.OneFormerModel"),l(Ie,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(Ie,"href","#transformers.OneFormerModel"),l(de,"class","relative group"),l(Eo,"href","https://pytorch.org/docs/stable/nn.html#torch.nn.Module"),l(Eo,"rel","nofollow"),l(ft,"href","/docs/transformers/v4.26.1/en/model_doc/oneformer#transformers.OneFormerModel"),l(L,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(B,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(ze,"id","transformers.OneFormerForUniversalSegmentation"),l(ze,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(ze,"href","#transformers.OneFormerForUniversalSegmentation"),l(pe,"class","relative group"),l(Lo,"href","https://pytorch.org/docs/stable/nn.html#torch.nn.Module"),l(Lo,"rel","nofollow"),l(gt,"href","/docs/transformers/v4.26.1/en/model_doc/oneformer#transformers.OneFormerForUniversalSegmentation"),l(z,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(J,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(o,p){e(document.head,f),h(o,x,p),h(o,_,p),e(_,g),e(g,k),F(m,k,null),e(_,u),e(_,A),e(A,pn),h(o,mr,p),h(o,oe,p),e(oe,fe),e(fe,Tt),F(Re,Tt,null),e(oe,hn),e(oe,$t),e($t,fn),h(o,pr,p),h(o,ge,p),e(ge,gn),e(ge,We),e(We,un),e(ge,_n),h(o,hr,p),h(o,He,p),h(o,fr,p),h(o,Uo,p),e(Uo,vn),h(o,gr,p),h(o,Ro,p),e(Ro,Pt),e(Pt,bn),h(o,ur,p),h(o,Wo,p),e(Wo,Fn),h(o,_r,p),h(o,E,p),e(E,te),e(te,yn),e(te,qt),e(qt,On),e(te,wn),e(te,It),e(It,kn),e(te,xn),e(E,Tn),e(E,jt),e(jt,$n),e(E,Pn),e(E,C),e(C,qn),e(C,Et),e(Et,In),e(C,jn),e(C,zt),e(zt,En),e(C,zn),e(C,Ct),e(Ct,Cn),e(C,Sn),e(C,Ve),e(Ve,Nn),e(C,Ln),e(E,Mn),e(E,S),e(S,Dn),e(S,Ho),e(Ho,An),e(S,Un),e(S,St),e(St,Rn),e(S,Wn),e(S,Vo),e(Vo,Hn),e(S,Vn),e(S,Bo),e(Bo,Bn),e(S,Jn),e(E,Gn),e(E,I),e(I,Xn),e(I,Jo),e(Jo,Zn),e(I,Kn),e(I,Go),e(Go,Qn),e(I,Yn),e(I,Xo),e(Xo,es),e(I,os),e(I,Zo),e(Zo,ts),e(I,rs),e(I,Nt),e(Nt,ns),e(I,ss),h(o,vr,p),h(o,ue,p),e(ue,as),e(ue,Be),e(Be,is),e(ue,ls),h(o,br,p),h(o,Je,p),h(o,Fr,p),h(o,G,p),e(G,cs),e(G,Ge),e(Ge,ds),e(G,ms),e(G,Xe),e(Xe,ps),e(G,hs),h(o,yr,p),h(o,re,p),e(re,_e),e(_e,Lt),F(Ze,Lt,null),e(re,fs),e(re,Mt),e(Mt,gs),h(o,Or,p),h(o,ne,p),F(Ke,ne,null),e(ne,us),e(ne,Qe),e(Qe,_s),e(Qe,Ko),e(Ko,vs),e(Qe,bs),h(o,wr,p),h(o,U,p),F(Ye,U,null),e(U,Fs),e(U,eo),e(eo,ys),e(eo,Dt),e(Dt,Os),e(eo,ws),e(U,ks),e(U,R),e(R,xs),e(R,Qo),e(Qo,Ts),e(R,$s),e(R,Yo),e(Yo,Ps),e(R,qs),e(R,et),e(et,Is),e(R,js),h(o,kr,p),h(o,se,p),e(se,ve),e(ve,At),F(oo,At,null),e(se,Es),e(se,Ut),e(Ut,zs),h(o,xr,p),h(o,j,p),F(to,j,null),e(j,Cs),e(j,W),e(W,Ss),e(W,ot),e(ot,Ns),e(W,Ls),e(W,ro),e(ro,Ms),e(W,Ds),e(W,no),e(no,As),e(W,Us),e(j,Rs),e(j,ae),e(ae,Ws),e(ae,tt),e(tt,Hs),e(ae,Vs),e(ae,rt),e(rt,Bs),e(ae,Js),e(j,Gs),F(be,j,null),e(j,Xs),e(j,Fe),F(so,Fe,null),e(Fe,Zs),e(Fe,ie),e(ie,Ks),e(ie,nt),e(nt,Qs),e(ie,Ys),e(ie,Rt),e(Rt,ea),e(ie,oa),h(o,Tr,p),h(o,le,p),e(le,ye),e(ye,Wt),F(ao,Wt,null),e(le,ta),e(le,Ht),e(Ht,ra),h(o,$r,p),h(o,T,p),F(io,T,null),e(T,na),e(T,Vt),e(Vt,sa),e(T,aa),e(T,lo),e(lo,ia),e(lo,Bt),e(Bt,la),e(lo,ca),e(T,da),e(T,st),F(co,st,null),e(T,ma),e(T,X),F(mo,X,null),e(X,pa),e(X,po),e(po,ha),e(po,Jt),e(Jt,fa),e(po,ga),e(X,ua),e(X,H),e(H,_a),e(H,Gt),e(Gt,va),e(H,ba),e(H,Xt),e(Xt,Fa),e(H,ya),e(H,Zt),e(Zt,Oa),e(H,wa),e(T,ka),e(T,Oe),F(ho,Oe,null),e(Oe,xa),e(Oe,fo),e(fo,Ta),e(fo,at),e(at,$a),e(fo,Pa),e(T,qa),e(T,we),F(go,we,null),e(we,Ia),e(we,uo),e(uo,ja),e(uo,Kt),e(Kt,Ea),e(uo,za),e(T,Ca),e(T,ke),F(_o,ke,null),e(ke,Sa),e(ke,vo),e(vo,Na),e(vo,Qt),e(Qt,La),e(vo,Ma),h(o,Pr,p),h(o,ce,p),e(ce,xe),e(xe,Yt),F(bo,Yt,null),e(ce,Da),e(ce,er),e(er,Aa),h(o,qr,p),h(o,P,p),F(Fo,P,null),e(P,Ua),e(P,V),e(V,Ra),e(V,it),e(it,Wa),e(V,Ha),e(V,lt),e(lt,Va),e(V,Ba),e(V,ct),e(ct,Ja),e(V,Ga),e(P,Xa),e(P,Te),F(yo,Te,null),e(Te,Za),e(Te,Oo),e(Oo,Ka),e(Oo,dt),e(dt,Qa),e(Oo,Ya),e(P,ei),e(P,$e),F(wo,$e,null),e($e,oi),e($e,ko),e(ko,ti),e(ko,mt),e(mt,ri),e(ko,ni),e(P,si),e(P,Pe),F(xo,Pe,null),e(Pe,ai),e(Pe,To),e(To,ii),e(To,pt),e(pt,li),e(To,ci),e(P,di),e(P,qe),F($o,qe,null),e(qe,mi),e(qe,Po),e(Po,pi),e(Po,ht),e(ht,hi),e(Po,fi),h(o,Ir,p),h(o,de,p),e(de,Ie),e(Ie,or),F(qo,or,null),e(de,gi),e(de,tr),e(tr,ui),h(o,jr,p),h(o,B,p),F(Io,B,null),e(B,_i),e(B,jo),e(jo,vi),e(jo,Eo),e(Eo,bi),e(jo,Fi),e(B,yi),e(B,L),F(zo,L,null),e(L,Oi),e(L,me),e(me,wi),e(me,ft),e(ft,ki),e(me,xi),e(me,rr),e(rr,Ti),e(me,$i),e(L,Pi),F(je,L,null),e(L,qi),F(Ee,L,null),h(o,Er,p),h(o,pe,p),e(pe,ze),e(ze,nr),F(Co,nr,null),e(pe,Ii),e(pe,sr),e(sr,ji),h(o,zr,p),h(o,J,p),F(So,J,null),e(J,Ei),e(J,No),e(No,zi),e(No,Lo),e(Lo,Ci),e(No,Si),e(J,Ni),e(J,z),F(Mo,z,null),e(z,Li),e(z,he),e(he,Mi),e(he,gt),e(gt,Di),e(he,Ai),e(he,ar),e(ar,Ui),e(he,Ri),e(z,Wi),F(Ce,z,null),e(z,Hi),e(z,ir),e(ir,Vi),e(z,Bi),F(Se,z,null),Cr=!0},p(o,[p]){const Do={};p&2&&(Do.$$scope={dirty:p,ctx:o}),be.$set(Do);const lr={};p&2&&(lr.$$scope={dirty:p,ctx:o}),je.$set(lr);const cr={};p&2&&(cr.$$scope={dirty:p,ctx:o}),Ee.$set(cr);const dr={};p&2&&(dr.$$scope={dirty:p,ctx:o}),Ce.$set(dr);const Ao={};p&2&&(Ao.$$scope={dirty:p,ctx:o}),Se.$set(Ao)},i(o){Cr||(y(m.$$.fragment,o),y(Re.$$.fragment,o),y(Ze.$$.fragment,o),y(Ke.$$.fragment,o),y(Ye.$$.fragment,o),y(oo.$$.fragment,o),y(to.$$.fragment,o),y(be.$$.fragment,o),y(so.$$.fragment,o),y(ao.$$.fragment,o),y(io.$$.fragment,o),y(co.$$.fragment,o),y(mo.$$.fragment,o),y(ho.$$.fragment,o),y(go.$$.fragment,o),y(_o.$$.fragment,o),y(bo.$$.fragment,o),y(Fo.$$.fragment,o),y(yo.$$.fragment,o),y(wo.$$.fragment,o),y(xo.$$.fragment,o),y($o.$$.fragment,o),y(qo.$$.fragment,o),y(Io.$$.fragment,o),y(zo.$$.fragment,o),y(je.$$.fragment,o),y(Ee.$$.fragment,o),y(Co.$$.fragment,o),y(So.$$.fragment,o),y(Mo.$$.fragment,o),y(Ce.$$.fragment,o),y(Se.$$.fragment,o),Cr=!0)},o(o){O(m.$$.fragment,o),O(Re.$$.fragment,o),O(Ze.$$.fragment,o),O(Ke.$$.fragment,o),O(Ye.$$.fragment,o),O(oo.$$.fragment,o),O(to.$$.fragment,o),O(be.$$.fragment,o),O(so.$$.fragment,o),O(ao.$$.fragment,o),O(io.$$.fragment,o),O(co.$$.fragment,o),O(mo.$$.fragment,o),O(ho.$$.fragment,o),O(go.$$.fragment,o),O(_o.$$.fragment,o),O(bo.$$.fragment,o),O(Fo.$$.fragment,o),O(yo.$$.fragment,o),O(wo.$$.fragment,o),O(xo.$$.fragment,o),O($o.$$.fragment,o),O(qo.$$.fragment,o),O(Io.$$.fragment,o),O(zo.$$.fragment,o),O(je.$$.fragment,o),O(Ee.$$.fragment,o),O(Co.$$.fragment,o),O(So.$$.fragment,o),O(Mo.$$.fragment,o),O(Ce.$$.fragment,o),O(Se.$$.fragment,o),Cr=!1},d(o){t(f),o&&t(x),o&&t(_),w(m),o&&t(mr),o&&t(oe),w(Re),o&&t(pr),o&&t(ge),o&&t(hr),o&&t(He),o&&t(fr),o&&t(Uo),o&&t(gr),o&&t(Ro),o&&t(ur),o&&t(Wo),o&&t(_r),o&&t(E),o&&t(vr),o&&t(ue),o&&t(br),o&&t(Je),o&&t(Fr),o&&t(G),o&&t(yr),o&&t(re),w(Ze),o&&t(Or),o&&t(ne),w(Ke),o&&t(wr),o&&t(U),w(Ye),o&&t(kr),o&&t(se),w(oo),o&&t(xr),o&&t(j),w(to),w(be),w(so),o&&t(Tr),o&&t(le),w(ao),o&&t($r),o&&t(T),w(io),w(co),w(mo),w(ho),w(go),w(_o),o&&t(Pr),o&&t(ce),w(bo),o&&t(qr),o&&t(P),w(Fo),w(yo),w(wo),w(xo),w($o),o&&t(Ir),o&&t(de),w(qo),o&&t(jr),o&&t(B),w(Io),w(zo),w(je),w(Ee),o&&t(Er),o&&t(pe),w(Co),o&&t(zr),o&&t(J),w(So),w(Mo),w(Ce),w(Se)}}}const Mc={local:"oneformer",sections:[{local:"overview",title:"Overview"},{local:"transformers.models.oneformer.modeling_oneformer.OneFormerModelOutput",title:"OneFormer specific outputs"},{local:"transformers.OneFormerConfig",title:"OneFormerConfig"},{local:"transformers.OneFormerImageProcessor",title:"OneFormerImageProcessor"},{local:"transformers.OneFormerProcessor",title:"OneFormerProcessor"},{local:"transformers.OneFormerModel",title:"OneFormerModel"},{local:"transformers.OneFormerForUniversalSegmentation",title:"OneFormerForUniversalSegmentation"}],title:"OneFormer"};function Dc(N){return jc(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class Bc extends $c{constructor(f){super();Pc(this,f,Dc,Lc,qc,{})}}export{Bc as default,Mc as metadata};
